const ed11yLangDrupal = {

  // Main Panel
  toggleAccessibilityTools: Drupal.t("Toggle accessibility tools"),
  toggleDisabled: Drupal.t('Editorially is disabled.'),
  panelCount0 : Drupal.t("No issues detected.",{},{context: 'problems'}),
  panelCountAllDismissed : Drupal.t("All issues hidden.",{},{context: 'problems'}),
  panelCount1 : Drupal.t("One issue detected.",{},{context: 'problems'}),
  panelCountMultiple: Drupal.t(" issues detected.",{},{context: 'problems'}),
  panelCountBase: Drupal.t("<span class='count'>No</span> <span class='content-type'>issues detected</span>.",{},{context: 'problems'}),
  panelControls: Drupal.t('Editorially'),
  buttonToolsContent: Drupal.t('Show headings &amp; alt text'),
  buttonOutlineContent: Drupal.t('Headings'),
  buttonAltsContent: Drupal.t('Alt Text'),
  buttonFirstContent: Drupal.t('Go to first issue'),
  buttonNextContent: Drupal.t('Go to next issue'),
  buttonPrevContent: Drupal.t('Go to previous issue'),
  buttonShowHiddenAlert: Drupal.t('Show hidden alert'),
  buttonHideHiddenAlert: Drupal.t('Hide hidden alerts'),
  buttonShowHiddenAlerts: (count) => Drupal.t('Show') + ' ' + count + ' ' + Drupal.t('hidden alerts'),
  buttonHideHiddenAlerts: (count) => Drupal.t('Hide') + ' ' + count + ' ' + Drupal.t('hidden alerts'),
  buttonShowAlerts: Drupal.t('Show alerts'),
  buttonShowNoAlert: Drupal.t('Show checker'),
  buttonHideChecker: Drupal.t('Hide checker'),
  buttonShowHiddenAlertsContent: Drupal.t('Restore hidden alerts'),
  panelCheckOutline: '<p>' + Drupal.t('Check that this forms <a href=\'https://accessibility.princeton.edu/how/content/headings\'>a complete outline</a>:') + '</p>',
  panelCheckAltText: '<p>' + Drupal.t('Check <a href=\'https://accessibility.princeton.edu/how/content/alternative-text\'>alt text</a>, <a href=\'https://accessibility.princeton.edu/how/content/images-text\'>images of text</a>, &amp; <a href=\'https://webaim.org/techniques/captions/\'>captions</a>.') + '</p>',
  altLabelPrefix: Drupal.t("Alt text: "),
  errorAltMissing: Drupal.t("(missing!)"),
  errorAltNull: Drupal.t("(none; image marked as decorative)"),
  errorOutlinePrefixSkippedLevel: Drupal.t("(flagged for skipped level) "),
  errorOutlinePrefixHeadingEmpty: Drupal.t("(empty heading) "),
  errorOutlinePrefixHeadingIsLong: Drupal.t("(flagged for length) "),

  // Errors and alerts
  consoleNotSupported: Drupal.t('This browser can not run Editoria11y.'),
  jumpedToInvisibleTip: Drupal.t("Note: this content may not be visible. Look for it inside the outlined container."),
  jumpedToAriaHiddenTip: Drupal.t("The item with this issue may be invisible or off screen.",{},{context: 'problems'}),

  // Strings used in tests
  suspiciousWords: [
    Drupal.t("image of"),
    Drupal.t("graphic of"),
    Drupal.t("picture of"),
    Drupal.t("placeholder"),
    Drupal.t("photo of"),
    Drupal.t('spacer'),
    Drupal.t('tbd'),
    Drupal.t('todo')
  ],
  meaninglessAlt: [
    Drupal.t('alt'),
    Drupal.t('chart'),
    Drupal.t('decorative'),
    Drupal.t('image'),
    Drupal.t('graphic'),
    Drupal.t('photo'),
    Drupal.t('placeholder'),
    Drupal.t('placeholder image'),
    Drupal.t('spacer'),
    Drupal.t('tbd'),
    Drupal.t('todo'),
    Drupal.t('to do')
  ],
  linksUrls: ['http:/', 'https:/', '.asp', '.htm', '.php', '.edu/', '.com/'],
  linkStringsNewWindows: new RegExp(`(${[
    Drupal.t('window',{},{context: 'Browser window'}),
    Drupal.t('tab',{},{context: 'Browser tab'}),
    Drupal.t('download'),
    'window','tab','download',
  ].join('|')})`, 'g'),
  linksMeaningless: new RegExp(`(
    ${[
      'learn','to','more','now','this','page','link','site','website','check','out','view','our','read','download','form','here','click',
      Drupal.t('learn'),
      Drupal.t('to'),
      Drupal.t('more'),
      Drupal.t('now'),
      Drupal.t('this'),
      Drupal.t('page'),
      Drupal.t('link'),
      Drupal.t('site'),
      Drupal.t('website'),
      Drupal.t('check'),
      Drupal.t('out'),
      Drupal.t('view'),
      Drupal.t('our'),
      Drupal.t('read'),
      Drupal.t('download'),
      Drupal.t('form'),
      Drupal.t('here'),
      Drupal.t('click'),
      Drupal.t('learn more'),
      Drupal.t('this page'),
      Drupal.t('this link'),
      Drupal.t('this site'),
      Drupal.t('our website'),
      Drupal.t('check out'),
      Drupal.t('view our'),
      Drupal.t('click here'),
      '\\.',"'",'"',":",'<','>','\\s','\\?','-',',',':'
    ].join('|')})+`, 'g'),

  // Tooltips base ======================================

  toggleManualCheck: Drupal.t("manual check needed"),
  toggleAlert: Drupal.t("alert"),
  toggleAriaLabel: (label) => Drupal.t("Accessibility %label", {
    '%label': label
  }),
  dismissOkButtonContent: Drupal.t('Mark as checked and OK'),
  dismissHideButtonContent: Drupal.t('Hide alert'),
  dismissOkTitle: Drupal.t('Hides this alert for all editors'),
  dismissHideTitle: Drupal.t('Hides this alert for you'),
  undismissOKButton: Drupal.t('Restore this alert marked as OK'),
  undismissHideButton: Drupal.t('Restore this hidden alert'),
  undismissNotePermissions: Drupal.t('This alert has been hidden by an administrator'),
  closeTip: 'Close',
  panelHelp: Drupal.t("" +
    "<p><a href='@demo'>Editoria11y</a> checks for common accessibility needs, such as image alternative text, meaningful heading outlines and well-named links.</p> " +
    "<p>Many alerts are \"manual checks.\" Manual checks can be dismissed:</p>" +
    "<ul><li>\"Mark as checked and OK\" hides the alert for all editors.</li>" +
    "<li>\"Ignore this manual check\" leaves the tip visible to other editors.</li></ul>" +
    "<p>Dismissed alerts can be found via the \"Show hidden alerts\" toggle.</p>" +
    "<p>If an incorrect alert is appearing on many pages, site administrators can tell the checker to ignore particular elements and page regions.</p>" +
    "<p>And remember that automated checkers cannot replace <a href='@testing'>proofreading and testing for accessibility</a>.<p>" +
    "<p><br><a href='@github' class='ed11y-small'>Report bugs & request changes <span aria-hidden='true'>&raquo;</span></a></p>",  {'@demo': 'https://itmaybejj.github.io/editoria11y/','@testing': 'https://webaim.org/resources/evalquickref/','@github':'https://github.com/itmaybejj/editoria11y/issues',}),


  // Tooltips for heading tests =========================

  headingExample : Drupal.t("" +
    "<ul>" +
    "    <li>Heading level 1" +
    "        <ul>" +
    "            <li>Heading level 2: a topic" +
    "                <ul>" +
    "                    <li>Heading level 3: a subtopic</li>" +
    "                </ul>" +
    "            </li>" +
    "            <li>Heading level 2: a new topic</li>" +
    "        </ul>" +
    "    </li>" +
    "</ul>"
  ),
  headingLevelSkipped : {
    title: Drupal.t("Manual check: was a heading level skipped?"),
    tip: (prevLevel, level) => Drupal.t("" +
      "<p>Headings and subheadings are the page's table of contents. The <em>numbers</em> indicate indents, in a nesting relationship:</p>") +
      Ed11y.M.headingExample + Drupal.t("" +
      "<p>This heading skipped from level %prevLevel to level %level. From a screen reader, this sounds like content is missing.</p>" +
      "<p>To fix: adjust levels to form an accurate outline, without gaps.</p>", {
      '%prevLevel': prevLevel,
      '%level': level
    }),
  },

  headingEmpty : {
    title: Drupal.t("Heading tag without any text"),
    tip: () => Drupal.t( "" +
      "<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>") +
      Ed11y.M.headingExample + Drupal.t("" +
      "<p>\"Blank\" headings create confusing gaps in this outline: they could mean the following content is still part of the previous section, or that the text was unpronounceable for some reason.</p>" +
      "<p><strong>To fix:</strong> add text to this heading, or remove it.</p>"
    ),
  },

  headingIsLong : {
    title: Drupal.t("Manual check: long heading"),
    tip: () => Drupal.t( "" +
      "<p>Headings should be brief and clear. Assistive devices use them to create a navigable table of contents for the page. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>") +
      Ed11y.M.headingExample + Drupal.t("" +
      "<p><strong>To fix:</strong> shorten this heading if possible, or remove the heading style if it was only applied to this text to provide visual emphasis.</p>"),
  },

  blockquoteIsShort : {
    title: Drupal.t("Manual check: is this a blockquote?"),
    tip: () => Drupal.t("<p>Blockquote formatting tells screen readers that the text should be announced as a quotation. This was flagged because short blockquotes are sometimes actually headings. If this is a heading and not a quotation, use heading formatting instead, so this appears in the page outline.</p>"),
  },

  // Tooltips for image tests

  // Reusable example for tips:
  altAttributeExample : Drupal.t("" +
      "<p>Note that a good alt conveys what an image <strong>communicates</strong>, not what it <strong>contains</strong>. A picture of a child kicking a ball might have been selected because of the setting, the child, the kick or the ball:</p>" +
      "<ul>" +
      "    <li>Child happily kicking a ball on a summer day</li>" +
      "    <li>A.J. playing in the new team uniform</li>" +
      "    <li>A.J.'s game-winning kick curved in from the left sideline!</li>" +
      "    <li>The \"medium\" ball is the right size for this 9-year-old child</li>" +
      "</ul>"
  ),

  altAttributeProvided: (alt) => "<p>" + Drupal.t("This image's alt text is:") + " <strong>\"" + alt + "\"</strong></p>",

  altMissing : {
    title: Drupal.t("Image has no alternative text attribute"),
    tip: () => "<p>" + Drupal.t("" +
      "When screen readers encounter an image with no alt attribute at all, they dictate the url of the image file instead, often one letter at a time. To fix: either add an empty alt (alt=\"\") to indicate this image should be ignored by screen readers, or add descriptive alt text.") + "</p>" +
      Ed11y.M.altAttributeExample,
  },

  altNull : {
    title: Drupal.t("Manual check: image has no alt text"),
    tip: () => Drupal.t("" +
      "<p>Screen readers assume images with empty alt text are only for decoration (spacers and backgrounds), and do not mention they exist. If this image is meaningful, an alt should be provided.</p>") +
       Ed11y.M.altAttributeExample,
  },

  altMeaningless : {
    title: Drupal.t('Alt text is meaningless'),
    tip: (alt) =>
      `${Ed11y.M.altAttributeProvided(alt)}
        <p>${Drupal.t(`To fix: set this image's alternative text to a concise description of what this image means in this context.`)}</p>
        ${Ed11y.M.altAttributeExample}`
    ,
  },
  altMeaninglessLinked : {
    title: 'Linked alt text is meaningless',
    tip: (alt) =>
        Ed11y.M.altAttributeProvided(alt) +
         Drupal.t(`<p>When a link includes an image, the image's alt text becomes part of the link text announced by screen readers.
            Links should clearly and concisely describe their destination; a URL (usually pronounced by the screen reader one letter at a time) does not.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "H T T P S colon forward slash forward slash example dot com forward slash aye bee oh you tee you ess</li>
            </ul>`)
    ,
  },

  altURL : {
    title: Drupal.t("Image's text alternative is a URL"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + "<p>" +
      Drupal.t("" +
      "To fix: set this image's alternative text to a concise description of what this image means in this context.") + "</p>" +
      Ed11y.M.altAttributeExample,
  },

  altURLLinked : {
    title: Drupal.t("Linked image's text alternative is a URL"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + Drupal.t("" +
      "<p>When a link includes an image, the image's alt text becomes part of the link text announced by screen readers. Links should clearly and concisely describe their destination; a URL (usually pronounced by the screen reader one letter at a time) does not.</p>" +
      "<ul>" +
      "    <li>Good link text: \"About us\"</li>" +
      "    <li>Bad link text: \"H T T P S colon forward slash forward slash example dot com forward slash aye bee oh you tee you ess\"</li>" +
      "</ul>"),
  },

  altImageOf : {
    title: Drupal.t("Manual check: possibly redundant text in alt"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + Drupal.t("" +
      "<p>Screen readers <strong>announce</strong> they are describing an image when reading alt text, so phrases like \"image of\" and \"photo of\" are usually redundant, sounding like \"this image's alt is the alt of an image.\"</p>" +
      "<p>Note that sometimes the phrase is not redundant and should be kept, because the image is an image of an image:</p>" +
      "<ul>" +
      "    <li>Redundant: \"image of a VHS tape\"</li>" +
      "    <li>Relevant: \"image of a VHS tape being shown in history class\"</li>" +
      "</ul>"),
  },

  altImageOfLinked : {
    title: Drupal.t("Manual check: possibly redundant text in linked image"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + Drupal.t( "" +
      "<p>Links should clearly and concisely describe their destination. Since words like \"image\", \"graphic\" or \"photo\" are redundant in text alternatives (screen readers already identify the image as an image), they often indicate that the image's text alternative is describing the image instead of the link.</p>" +
      "<ul>" +
      "    <li>Good link text: \"About us\"</li>" +
      "    <li>Bad link text: \"Stock photo of five people jumping and high fiving around a conference table, image\"</li> " +
      "</ul>"),
  },

  altDeadspace : {
    title: Drupal.t( "Image's text alternative is unpronounceable"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + Drupal.t("" +
      "<p>To fix: add a descriptive alt, or provide a <em>completely</em> empty alt (alt=\"\") to tell screen readers to ignore this image.</p>") +
      Ed11y.M.altAttributeExample,
  },

  altDeadspaceLinked : {
    title: Drupal.t("Linked Image's text alternative is unpronounceable"),
    tip: (alt) => Ed11y.M.altAttributeProvided(alt) + Drupal.t("" +
      "<p>This image's alt consists of only silent characters (spaces and quotation marks). It will be announced by screen readers as as part of the link's text, but the description of what the image is will be unintelligible. To fix, set this image's alternative text to something that describes the link's destination, or provide a <em>completely</em> empty alt (alt=\"\") if the image should not be mentioned at all.</p>" +
      "<ul>" +
      "    <li>Good link text: \"About us\"</li>" +
      "    <li>Bad link text: \"About us, image: [short confusing silence]\"</li>" +
      "</ul>"),
  },

  altEmptyLinked : {
    title: Drupal.t("Linked Image has no alt text"),
    tip: () => Drupal.t("" +
      "<p>When a link is wrapped around an image, the image's alt text provides the link's title for screen readers</p>" +
      "<p>To fix: set this image's alternative text to something that describes the link's destination, or add text to the link.</p>" +
      "<ul>" +
      "    <li>Good linked alt: \"Meaningful link tips\"</li>" +
      "    <li>Bad linked alt: \"Three happy dogs rolling in the grass\"</li>" +
      "</ul>"
    ),
  },

  altLong : {
    title: Drupal.t("Manual check: very long alternative text"),
    tip: (alt) => Drupal.t("" +
      "<p>Image text alternatives are announced by screen readers as a single run-on sentence; listeners must listen to the entire alt a second time if they miss something. It is usually better to provide and reference a <em>visible</em> text alternative for complex images that need long descriptions. For example:</p>" +
      "<ul>" +
      "    <li>\"Event poster; details provided in caption\"</li>" +
      "    <li>\"Chart showing our issues going to zero; details follow in table\"</li>" +
      "</ul>") + Ed11y.M.altAttributeProvided(alt),
  },

  altLongLinked : {
    title: Drupal.t("Manual check: very long alternative text in linked image"),
    tip: (alt) => Drupal.t("" +
      "<p>The alt text on a linked image is used to describe the link destination. Links should be brief, clear and concise, as screen reader users often listen to the list of links on the page to find content of interest. Long alternative text inside a link often indicates that the image's text alternative is describing the image instead rather than the link.</p>") + Ed11y.M.altAttributeProvided(alt),
  },

  altPartOfLinkWithText : {
    title: Drupal.t("Manual check: link contains both text and an image"),
    tip: (alt) => Drupal.t("" +
      "<p>When a link includes an image, screen readers speak the image's alt text as part of the link. This can be confusing if the image's alt describes the image rather than the link.</p>" +
      "<p>E.g., for a card-style link with both text and a stock photo, compare:</p>" +
      "<ul>" +
      "    <li>\"Link, five people jumping and high fiving around a conference table, image, about us\"</li>" +
      "    <li>\"Link, about us\"</li>" +
      "</ul>") + Ed11y.M.altAttributeProvided(alt) + "<p>" +
      Drupal.t("If this link is clearer without this alt, it may be better to use a blank alt, to tell screen readers to ignore the image.") + "</p>",
  },

  linkNoText : {
    title: Drupal.t("Link with no accessible text"),
    tip: () => Drupal.t("" +
      "<p>This link is either invisible and empty (e.g., a linked space character), or wrapped around something with no text alternative (an image with no alt attribute).</p>" +
      "<p>Screen readers will either pause with an uninformative silence when they reach this link: <br>\"Link, [...awkward pause where the link title should be...],\"<br>or spell out the URL, character by character: <br>\"Link, H-T-T-P-S forward-slash forward-slash example dot com\"</p>" +
      "<p>To fix: add text if this should be a link, or delete it if it should not.</p>"
    ),
  },

  linkText: (text) =>
    "<p>" + Drupal.t("This link's text is:") + " <strong>" + text + "</strong></p>",

  linkTextIsURL : {
    title: Drupal.t("Manual check: is this link text a URL?"),
    tip: (text) => Ed11y.M.linkText(text) + Drupal.t("<p>Links should be meaningful and concise. Readers often skim by link titles. This is especially true of screen reader users, who navigate using a list of on-page links.</p>" +
      "<p>A linked URL breaks this pattern; the reader has to read the preceding paragraph to figure out the link's purpose from context.</p>" +
      "<ul>" +
      "    <li>Meaningful and concise link: \"Tips for writing meaningful links\"</li>" +
      "    <li>Linked URL, as pronounced by a screen reader: \"H T T P S colon forward-slash forward-slash example dot com forward-slash tips forward-slash meaningful-links\"</li>" +
      "</ul>"),
  },

  linkTextIsGeneric : {
    title: Drupal.t("Manual check: is this link meaningful and concise?"),
    tip: (text) => Ed11y.M.linkText(text) + Drupal.t("" +
      "<p>Readers skim for links. This is especially true of screen reader users, who navigate using a list of on-page links.</p>" +
      "<p>Generic links like \"click here\", \"read more\" or \"download\" expect the reader be reading slowly and carefully, such that they figure out each link's purpose from context for themselves. Few readers do this, so click-through rates on meaningless links are extremely poor.</p>" +
      "<ul>" +
      "    <li>Not meaningful: \"<a href='https://www.google.com/search?q=writing+meaningful+links'>Click here</a> to learn about meaningful links\".</li>" +
      "    <li>Not concise: \"<a href='https://www.google.com/search?q=writing+meaningful+links'>Click here to learn about meaningful links</a>\"</li>" +
      "    <li>Ideal: \"Learn about <a href='https://www.google.com/search?q=writing+meaningful+links'>meaningful links</a>\"</li>" +
      "</ul>"),
  },

  linkDocument : {
    title : Drupal.t( "Manual check: is the linked document accessible?"),
    tip: () => Drupal.t("" +
      "<p>This automated checker helps ensure <strong><em>websites</em></strong> contain the features needed for accessible content, things like heading structure and text alternatives for images and audio. <strong>It is not able to help you check the documents you link.</strong></p>" +
      "<p>Most mobile and assistive device users prefer to read text on Web pages, where content reflows to fit the screen. If the document linked here cannot be converted to a Web page, make sure the document is well structured (headings, lists, table headers) and provides alt text for its images.</p>" +
      "<ul>" +
      "    <li>Tips for <a href='https://webaim.org/techniques/word/'>MS Word</a> &amp; <a href='https://support.google.com/docs/answer/6199477?hl=en&ref_topic=6039805'>Google Docs</a></li>" +
      "    <li><a href='https://webaim.org/techniques/powerpoint/'>Slideshows</a> &amp; <a href='https://support.microsoft.com/en-us/office/make-your-excel-documents-accessible-to-people-with-disabilities-6cc05fc5-1314-48b5-8eb3-683e49b3e593'>Spreadsheets</a>" +
      "    <li><a href='https://webaim.org/techniques/acrobat/'>Documents formatted for print instead of screens (PDF)</a></li>" +
      "</ul>"
    ),
  },

  linkNewWindow : {
    title: Drupal.t("Manual check: is opening a new window expected?"),
    tip: () => Drupal.t("" +
      "<p>Readers can always choose to open a link a new window. When a link forces open a new window, it can be confusing and annoying, especially for assistive device users who may wonder why their browser's \"back\" button is suddenly disabled.</p>" +
      "<p>There are two general exceptions:</p>" +
      "<ul>" +
      "    <li>When the user is filling out a form, and opening a link in the same window would cause them to lose their work.</li>" +
      "    <li>When the user is clearly warned a link will open a new window.</li>" +
      "</ul>" +
      "<p>To fix: set this link back its default target, or add a screen-reader accessible warning (text or an icon with alt text).</p>"
    ),
  },

  // Tooltips for Text QA

  tableNoHeaderCells : {
    title: Drupal.t("Table has no header cells"),
    tip: () => Drupal.t("" +
      "<p>Tables are announced by screen readers as navigable data sets. Screen readers repeat row and column headers as needed to orient users while reading content cells.</p>" +
      "<p>To fix:</p>" +
      "<ul>" +
      "    <li>If this table contains information that is meaningfully organized by row and column, edit the table's properties and specify whether the headers are in the first row, column or both.</li>" +
      "    <li>If this table does not contain rows and columns of data, but is simply being used for visual layout, it would be best to remove it. Tables overflow the page rather than reflowing the text to fit on mobile devices, and should only be used when horizontal relationships are necessary to understand the content.</li>" +
      "</ul>"
    ),
  },

  tableContainsContentHeading : {
    title: Drupal.t("Content heading inside a table"),
    tip: () => Drupal.t("" +
      "<p>Content headings (\"Heading 1\", \"Heading 2\") form a navigable table of contents for screen reader users, labelling all content <strong>until the next heading</strong>. Table headers label specific columns or rows within a table.</p>" +
      "<p></p>" +
      "<table>" +
      "    <tr><th>1</th><th>2</th><th>3</th><td rowspan=\"2\">To illustrate: a <strong>table</strong> header in cell 2 would only label its column: cell B. <br> <br> A <strong>content</strong> heading in cell 2 would label all subsequent text, reading from left to right: cells 3, A, B and C, as well as this text!</td></tr>" +
      "    <tr><td>A</td><td>B</td><td>C</td></tr>" +
      "</table>" +
      "<p>To fix: remove heading formatting on text inside table cells.</p>"
    ),
  },

  tableEmptyHeaderCell : {
    title: Drupal.t("Empty table header cell"),
    tip: () => Drupal.t("<p>When exploring tables, screen readers repeat table header cells as needed to orient users. Without headers, it is very easy to get lost; screen reader users have to count columns and rows and try to remember which columns went with which rows.</p>"),
  },

  textPossibleList : {
    title: Drupal.t("Manual check: should this have list formatting?"),
    tip : (text) => Drupal.t("" +
      "<p>List formatting is structural:</p>" +
      "<ol>" +
      "    <li>List formatting indents and reflows on overflow. Text aligns vertically with text, rather than the \"%text\"</li>" +
      "    <li>Lists are machine-readable. Screen readers can orient their users, announcing this as \"list item, 2 of 2.\"</li>" +
      "</ol>" +
      "<p>3. Whereas this unformatted item (just a number, typed as text) is not visually or audibly included in the list.</p>" +
      "<p>To fix: if this \"%text\" starts a list, replace it with list formatting.</p>", {
      '%text': text
    }),
  },

  textPossibleHeading : {
    title: Drupal.t("Manual check: should this be a heading?"),
    tip : () => Drupal.t("" +
      "<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>") +
      Ed11y.M.headingExample +
      "<p>" + Drupal.t("If this all-bold text is functioning visually as a heading, replace the bold formatting with the appropriately numbered heading.") + "</p>",
  },

  textUppercase : {
    title: Drupal.t("Manual check: is this uppercase text needed?"),
    tip : () => Drupal.t("" +
      "<p>UPPERCASE TEXT CAN BE MORE DIFFICULT TO READ FOR MANY PEOPLE, AND IS OFTEN INTERPRETED AS SHOUTING.</p>" +
      "<p>Consider using sentence case instead, and using bold text or font changes for visual emphasis, or structural formatting like headings for emphasis that will also be announced by screen readers.</p>"
    ),
  },

  embedVideo : {
    title: Drupal.t("Manual check: is this video accurately captioned?"),
    tip : () => Drupal.t("" +
      "<p>If a recorded video contains speech or meaningful sounds, it must provide captioning.</p>" +
      "<p>Note that automatic, machine-generated captions must be proofread, and speaker identifications must be added, before being considered an equal alternative.</p>"
    ),
  },
  embedAudio : {
    title: Drupal.t("Manual check: is an accurate transcript provided?"),
    tip : () => Drupal.t("" +
      "<p>If this audio contains speech, a text alternative must be provided on this page or linked.</p>" +
      "<p>Note that automatic, machine-generated transcripts must be proofread, and speaker identifications must be added, before being considered an equal alternative</p>"
    ),
  },
  embedVisualization : {
    title: Drupal.t("Manual check: is this visualization accessible?"),
    tip : () => Drupal.t("" +
      "<p>Visualization widgets are often difficult or impossible for assistive devices to operate, and can be difficult to understand for readers with low vision or colorblindness.</p>" +
      "<p>Unless this particular widget has high visual contrast, can be operated by a keyboard and described by a screen reader, assume that an alternate format (text description, data table or downloadable spreadsheet) should also be provided.</p>"
    ),
  },
  embedTwitter : {
    title: Drupal.t("Manual check: is this embed a keyboard trap?"),
    tip : () => Drupal.t("" +
      "<p>If embedded feeds are set to show a high number of items, keyboard users may have to click the tab key dozens or hundreds of times to exit the component.</p>" +
      "<p>Check to make sure only a small number of items auto-load immediately or while scrolling. Having additional items load on request (\"show more\") is fine.</p>"
    ),
  },
  embedCustom : {
    title: Drupal.t("Manual check: is this embedded content accessible?"),
    tip : () => Drupal.t("<p>Please make sure images inside this embed have alt text, videos have captions, and interactive components can be <a href='https://webaim.org/techniques/keyboard/'>operated by a keyboard</a>.</p>"),
  }

};

