const ed11yLang={en:{toggleAccessibilityTools:"Toggle accessibility tools",toggleDisabled:"Editoria11y cannot check this content.",panelCount0:"No issues detected.",panelCountAllDismissed:"All issues hidden.",panelCount1:"One issue detected.",panelCountMultiple:" issues detected.",panelCountBase:"<span class='count'>No</span> <span class='content-type'>issues detected</span>.",panelControls:"Editorially",buttonToolsContent:"Show headings &amp; alt text",buttonOutlineContent:"Headings",buttonAltsContent:"Alt Text",buttonFirstContent:"Go to first issue",buttonNextContent:"Go to next issue",buttonPrevContent:"Go to previous issue",buttonShowHiddenAlert:"Show hidden alert",buttonHideHiddenAlert:"Hide hidden alerts",buttonShowHiddenAlerts:e=>`Show ${e} hidden alerts`,buttonHideHiddenAlerts:e=>`Hide ${e} hidden alerts`,buttonShowAlerts:"Show alerts",buttonShowNoAlert:"Show checker",buttonHideChecker:"Hide checker",panelCheckOutline:"<p>Check that this forms <a href='https://accessibility.princeton.edu/how/content/headings'>a complete outline</a>:</p>",panelCheckAltText:"<p>Check <a href='https://accessibility.princeton.edu/how/content/alternative-text'>alt text</a>, <a href='https://accessibility.princeton.edu/how/content/images-text'>images of text</a>, &amp; <a href='https://webaim.org/techniques/captions/'>captions</a>.</p>",panelHelpTitle:"About this tool",altLabelPrefix:"Alt text: ",errorAltMissing:"(missing!)",errorAltNull:"(none; image marked as decorative)",errorOutlinePrefixSkippedLevel:"(flagged for skipped level) ",errorOutlinePrefixHeadingEmpty:"(empty heading) ",errorOutlinePrefixHeadingIsLong:"(flagged for length) ",consoleNotSupported:"This browser can not run Editoria11y.",jumpedToInvisibleTip:"Note: this content may not be visible. Look for it inside the outlined container.",jumpedToAriaHiddenTip:"The item with this issue may be invisible or off screen.",suspiciousWords:["image of","graphic of","picture of","photo of","placeholder","spacer","tbd","todo"],meaninglessAlt:["alt","chart","decorative","image","graphic","photo","placeholder","placeholder image","spacer","tbd","todo","to do"],linksUrls:["http:/","https:/",".asp",".htm",".php",".edu/",".com/"],linksMeaningless:/(learn|to|more|now|this|page|link|site|website|check|out|view|our|read|download|form|here|click|"|'|\?|\.|-|,|:|>|<|\s)+/g,linkStringsNewWindows:/window|\stab|download/g,toggleManualCheck:"manual check needed",toggleAlert:"alert",toggleAriaLabel:e=>"Accessibility "+e,transferFocus:"Edit this content",dismissOkButtonContent:"Mark as checked and OK",dismissHideButtonContent:"Ignore this manual check",dismissOkTitle:"Hides this alert for all editors",dismissHideTitle:"Hides this alert for you",undismissOKButton:"Restore this alert marked as OK",undismissHideButton:"Restore this hidden alert",undismissNotePermissions:"This alert has been hidden by an administrator",reportsLink:"View site-wide reports",closeTip:"Close",panelHelp:`
    <p><a href="https://itmaybejj.github.io/editoria11y/">Editoria11y</a> checks for common accessibility needs, such as image alternative text, meaningful heading outlines and well-named links.</p>
    <p>Many alerts are "manual checks." Manual checks can be dismissed:</p>
    <ul>
        <li>"Mark as checked and OK" hides the alert for all editors.</li>
        <li>"Ignore this manual check" leaves the tip visible to other editors.</li>
    </ul>
    <p>Dismissed alerts can be found via the "Show hidden alerts" toggle.</p>
    <p>If an incorrect alert is appearing on many pages, site administrators can tell the checker to ignore particular elements and page regions.</p>
    <p>And remember that automated checkers cannot replace <a href='https://webaim.org/resources/evalquickref/'> proofreading and testing for accessibility</a>.</p>
    <p><br><a href='https://github.com/itmaybejj/editoria11y/issues' class='ed11y-small'>Report bugs & request changes <span aria-hidden="true">&raquo;</span></a></p>
    `,headingExample:`
        <ul>
            <li>Heading level 1
                <ul>
                    <li>Heading level 2: a topic
                        <ul><li>Heading level 3: a subtopic</li></ul></li>
                    <li>Heading level 2: a new topic</li>
                </ul>
            </li>
        </ul>`,headingLevelSkipped:{title:"Manual check: was a heading level skipped?",tip:(e,t)=>`<p>Headings and subheadings are the page's table of contents. The <em>numbers</em> indicate indents, in a nesting relationship:</p>
            ${Ed11y.M.headingExample}
            <p>This heading skipped from level ${e} to level ${t}. From a screen reader, this sounds like content is missing.</p>
            <p>To fix: adjust levels to form an accurate outline, without gaps.</p>
            `},headingEmpty:{title:"Heading tag without any text",tip:()=>`<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>
            ${Ed11y.M.headingExample}
            <p>"Blank" headings create confusing gaps in this outline: they could mean the following content is still part of the previous section, or that the text was unpronounceable for some reason.</p>
            <p><strong>To fix:</strong> add text to this heading, or remove it.</p>
            `},headingIsLong:{title:"Manual check: long heading",tip:()=>`<p>Headings should be brief and clear. Assistive devices use them to create a navigable table of contents for the page. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>  
            ${Ed11y.M.headingExample}
            <p><strong>To fix:</strong> shorten this heading if possible, or remove the heading style if it was only applied to this text to provide visual emphasis.</p>
            `},blockquoteIsShort:{title:"Manual check: is this a blockquote?",tip:()=>"<p>Blockquote formatting tells screen readers that the text should be announced as a quotation. This was flagged because short blockquotes are sometimes actually headings. If this is a heading and not a quotation, use heading formatting instead, so this appears in the page outline.</p>"},altAttributeExample:`<p>Note that a good alt conveys what an image <strong>communicates</strong>, not what it <strong>contains</strong>. A picture of a child kicking a ball might have been selected because of the setting, the child, the kick or the ball:</p>
            <ul>
                <li>Child happily kicking a ball on a summer day</li>
                <li>A.J. playing in the new team uniform</li>
                <li>A.J.'s game-winning kick curved in from the left sideline!</li>
                <li>The "medium" ball is the right size for this 9-year-old child</li>
            </ul>`,altAttributeProvided:e=>`<p>This image's alt text is: <strong>"${e}"</strong></p>`,altMissing:{title:"Image has no alternative text attribute",tip:()=>`<p>When screen readers encounter an image with no alt attribute at all, they dictate the url of the image file instead, often one letter at a time.
            To fix: either add an empty alt (alt="") to indicate this image should be ignored by screen readers, or add descriptive alt text.</p>
            `+Ed11y.M.altAttributeExample},altNull:{title:"Manual check: image has no alt text",tip:()=>`<p>Screen readers assume images with empty alt text are only for decoration (spacers and backgrounds), and do not mention they exist. If this image is meaningful, an alt should be provided.</p>
            `+Ed11y.M.altAttributeExample},altURL:{title:"Image's text alternative is a URL",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <p>To fix: set this image's alternative text to a concise description of what this image means in this context.</p>
        `+Ed11y.M.altAttributeExample},altMeaningless:{title:"Alt text is meaningless",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <p>To fix: set this image's alternative text to a concise description of what this image means in this context.</p>
        `+Ed11y.M.altAttributeExample},altMeaninglessLinked:{title:"Linked alt text is meaningless",tip:e=>Ed11y.M.altAttributeProvided(e)+`
         <p>When a link includes an image, the image's alt text becomes part of the link text announced by screen readers.
            Links should clearly and concisely describe their destination; a URL (usually pronounced by the screen reader one letter at a time) does not.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "H T T P S colon forward slash forward slash example dot com forward slash aye bee oh you tee you ess</li>
            </ul>`},altURLLinked:{title:"Linked image's text alternative is a URL",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <p>When a link includes an image, the image's alt text becomes part of the link text announced by screen readers.
            Links should clearly and concisely describe their destination; a URL (usually pronounced by the screen reader one letter at a time) does not.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "H T T P S colon forward slash forward slash example dot com forward slash aye bee oh you tee you ess</li>
            </ul>`},altImageOf:{title:"Manual check: possibly redundant text in alt",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <p>Screen readers <strong>announce</strong> they are describing an image when reading alt text, so 
            phrases like "image of" and "photo of" are usually redundant, sounding like "this image's alt is the alt of an image."</p>
            <p>Note that sometimes the phrase is not redundant and should be kept, because the image is an image of an image:</p>
            <ul><li>Redundant: "image of a VHS tape"</li>
            <li>Relevant: "image of a VHS tape being shown in history class"</li></ul>`},altImageOfLinked:{title:"Manual check: possibly redundant text in linked image",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <hr><p>Links should clearly and concisely describe their destination. Since words like "image," "graphic" or "photo" are redundant in text alternatives (screen readers already identify the image as an image), they often indicate that the image's text alternative is describing the image instead of the link.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "Stock photo of five people jumping and high fiving around a conference table, image"</li>
            </ul>`},altDeadspace:{title:"Image's text alternative is unpronounceable",tip:e=>Ed11y.M.altAttributeProvided(e)+`
        <p>To fix: add a descriptive alt, or provide a <em>completely</em> empty alt (alt="") to tell screen readers to ignore this image.</p>
            `+Ed11y.M.altAttributeExample},altEmptyLinked:{title:"Linked Image has no alt text",tip:()=>`<p>When a link is wrapped around an image, the image's alt text provides the link's title for screen readers</p>
        <p>To fix: set this image's alternative text to something that describes the link's destination, or add text to the link.</p>
            <ul>
                <li>Good linked alt: "Meaningful link tips"</li>
                <li>Bad linked alt: "Three happy dogs rolling in the grass"</li>
            </ul>
            `},altLong:{title:"Manual check: very long alternative text",tip:e=>`<p>Image text alternatives are announced by screen readers as a single run-on sentence; listeners must listen to the entire alt a second time if they miss something. It is usually better to provide and reference a <em>visible</em> text alternative for complex images that need long descriptions. For example:</p>
            <ul><li>"Event poster; details provided in caption"</li>
            <li>"Chart showing our issues going to zero; details follow in table"</li></ul>
            ${Ed11y.M.altAttributeProvided(e)}
            `},altLongLinked:{title:"Manual check: very long alternative text in linked image",tip:e=>`<p>The alt text on a linked image is used to describe the link destination. Links should be brief, clear and concise, as screen reader users often listen to the list of links on the page to find content of interest. Long alternative text inside a link often indicates that the image's text alternative is describing the image instead rather than the link.</p>
        `+Ed11y.M.altAttributeProvided(e)},altPartOfLinkWithText:{title:"Manual check: link contains both text and an image",tip:e=>`<p>When a link includes an image, screen readers speak the image's alt text as part of the link.
            This can be confusing if the image's alt describes the image rather than the link.</p>
            <p>E.g., for a card-style link with both text and a stock photo, compare:</p>
            <ul>
                <li>"Link, five people jumping and high fiving around a conference table, image, about us"</li>
                <li>"Link, about us"</li>
            </ul>
            ${Ed11y.M.altAttributeProvided(e)}
            <p>If this link is clearer without this alt, it may be better to use a blank alt, to tell screen readers to ignore the image.</p>
            `},linkNoText:{title:"Link with no accessible text",tip:()=>`<p>This link is either invisible and empty (e.g., a linked space character), or wrapped around something with no text alternative (an image with no alt attribute).</p>
            <p>Screen readers will either pause with an uninformative silence when they reach this link: <br>"Link, [...awkward pause where the link title should be...],"<br>or spell out the URL, character by character: <br>"Link, H-T-T-P-S forward-slash forward-slash example dot com"</p>
            <p>To fix: add text if this should be a link, or delete it if it should not.</p>`},linkTextIsURL:{title:"Manual check: is this link text a URL?",tip:e=>`<p>This link's text is:<br> <strong>${e}</strong></p>
        <p>Links should be meaningful and concise. Readers often skim by link titles. This is especially true of screen reader users, who navigate using a list of on-page links.</p>
         <p>A linked URL breaks this pattern; the reader has to read the preceding paragraph to figure out the link's purpose from context.</p>
            <ul>
                <li>Meaningful and concise link: "Tips for writing meaningful links"</li>
                <li>Linked URL, as pronounced by a screen reader: "H T T P S colon forward-slash forward-slash example dot com forward-slash tips forward-slash meaningful-links"</li>
            </ul>`},linkTextIsGeneric:{title:"Manual check: is this link meaningful and concise?",tip:e=>`<p>This link's text is: <strong>${e}</strong></p>
        <p>Readers skim for links. This is especially true of screen reader users, who navigate using a list of on-page links.</p>
                <p>Generic links like "click here," "read more" or "download" expect the reader be reading slowly and carefully, such that they figure out each link's purpose from context for themselves. Few readers do this, so click-through rates on meaningless links are extremely poor.</p>
                <ul><li>Not meaningful: "<a href="https://www.google.com/search?q=writing+meaningful+links">Click here</a> to learn about meaningful links."</li>
                <li>Not concise: "<a href="https://www.google.com/search?q=writing+meaningful+links">Click here to learn about meaningful links</a>"</li>
                <li>Ideal: "Learn about <a href="https://www.google.com/search?q=writing+meaningful+links">meaningful links"</a></strong></li></ul>
                `},linkDocument:{title:"Manual check: is the linked document accessible?",tip:()=>`<p>This automated checker helps ensure <strong><em>websites</em></strong> contain the features needed for accessible content, things like heading structure and text alternatives for images and audio. <strong>It is not able to help you check the documents you link.</strong></p>
        <p>Most mobile and assistive device users prefer to read text on Web pages, where content reflows to fit the screen. If the document linked here cannot be converted to a Web page, make sure the document is well structured (headings, lists, table headers) and provides alt text for its images.</p>
        <ul>
            <li>Tips for <a href='https://webaim.org/techniques/word/'>MS Word</a> &amp; <a href="https://support.google.com/docs/answer/6199477?hl=en&ref_topic=6039805">Google Docs</a></li>
            <li><a href='https://webaim.org/techniques/powerpoint/'>Slideshows</a> &amp; <a href='https://support.microsoft.com/en-us/office/make-your-excel-documents-accessible-to-people-with-disabilities-6cc05fc5-1314-48b5-8eb3-683e49b3e593'>Spreadsheets</a>
            <li><a href='https://webaim.org/techniques/acrobat/'>Documents formatted for print instead of screens (PDF)</a></li>
        </ul>`},linkNewWindow:{title:"Manual check: is opening a new window expected?",tip:()=>`<p>Readers can always choose to open a link a new window. When a link forces open a new window, it can be confusing and annoying, especially for assistive device users who may wonder why their browser's "back" button is suddenly disabled.</p>
                <p>There are two general exceptions:</p>
                <ul>
                    <li>When the user is filling out a form, and opening a link in the same window would cause them to lose their work.</li>
                    <li>When the user is clearly warned a link will open a new window.</li>
                </ul>
                <p>To fix: set this link back its default target, or add a screen-reader accessible warning (text or an icon with alt text).</p>
                `},tableNoHeaderCells:{title:"Table has no header cells",tip:()=>`
                <p>Tables are announced by screen readers as navigable data sets. Screen readers repeat row and column headers as needed to orient users while reading content cells.</p>
                <p>To fix:</p>
                <ul><li>If this table contains information that is meaningfully organized by row and column, edit the table's properties and specify whether the headers are in the first row, column or both.</li>
                <li>If this table does not contain rows and columns of data, but is simply being used for visual layout, it would be best to remove it. Tables overflow the page rather than reflowing the text to fit on mobile devices, and should only be used when horizontal relationships are necessary to understand the content.</li></ul>
            `},tableContainsContentHeading:{title:"Content heading inside a table",tip:()=>`<p>Content headings ("Heading 1", "Heading 2") form a navigable table of contents for screen reader users,  
        labelling all content <strong>until the next heading</strong>. Table headers label specific columns or rows within a table.</p> 
            <p></p>
            <table><tr><th>1</th><th>2</th><th>3</th><td rowspan="2">To illustrate: a <strong>table</strong> header in cell 2 would only label its column: cell B. <br><br>
            A <strong>content</strong> heading in cell 2 would label all subsequent text, reading from left to right: cells 3, A, B and C, as well as this text!</td></tr>
            <tr><td>A</td><td>B</td><td>C</td></table>
            <p>To fix: remove heading formatting on text inside table cells.</p>
            `},tableEmptyHeaderCell:{title:"Empty table header cell",tip:()=>`
                <p>When exploring tables, screen readers repeat table header cells as needed to orient users. 
                Without headers, it is very easy to get lost; screen reader users have to count columns and rows and try to remember which columns went with which rows.</p>
                <p>To fix: make sure each header cell in this table contains text.</p>
            `},textPossibleList:{title:"Manual check: should this have list formatting?",tip:e=>`<p>List formatting is structural:</p> 
            <ol><li>List formatting indents and reflows on overflow. Text aligns vertically with the line above it.</li>
            <li>Lists are machine-readable. Screen readers can orient their users, announcing this as "list item, 2 of 3."</li></ol>
            <p>&nbsp;&nbsp;&nbsp;&nbsp;3. But this third item is just a sentence with a number in front of it. It wraps incorrectly, and screen readers do not know it is related to the other items in the list.</p>
            <p>To fix: if this "${e}" is part of a list, replace it with list formatting.</p>
            `},textPossibleHeading:{title:"Manual check: should this be a heading?",tip:()=>`<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>
            ${Ed11y.M.headingExample}
            <p>If this all-bold text is functioning visually as a heading, replace the bold formatting with the appropriately numbered heading.</p>
            `},textUppercase:{title:"Manual check: is this uppercase text needed?",tip:()=>`<p>UPPERCASE TEXT CAN BE MORE DIFFICULT TO READ FOR MANY PEOPLE, AND IS OFTEN INTERPRETED AS SHOUTING.</p>
         <p>Consider using sentence case instead, and using bold text or font changes for visual emphasis, or structural formatting like headings for emphasis that will also be announced by screen readers.</p>`},embedVideo:{title:"Manual check: is this video accurately captioned?",tip:()=>`<p>If a recorded video contains speech or meaningful sounds, it must provide captioning.</p>
            <p>Note that automatic, machine-generated captions must be proofread, and speaker identifications must be added, before being considered an equal alternative.</p>`},embedAudio:{title:"Manual check: is an accurate transcript provided?",tip:()=>`<p>If this audio contains speech, a text alternative must be provided on this page or linked.</p>
            <p>Note that automatic, machine-generated transcripts must be proofread, and speaker identifications must be added, before being considered an equal alternative</p>`},embedVisualization:{title:"Manual check: is this visualization accessible?",tip:()=>`<p>Visualization widgets are often difficult or impossible for assistive devices to operate, and can be difficult to understand for readers with low vision or colorblindness.</p>
            <p>Unless this particular widget has high visual contrast, can be operated by a keyboard and described by a screen reader, assume that an alternate format (text description, data table or downloadable spreadsheet) should also be provided.</p>`},embedTwitter:{title:"Manual check: is this embed a keyboard trap?",tip:()=>`<p>If embedded feeds are set to show a high number of items, keyboard users may have to click the tab key dozens or hundreds of times to exit the component.</p>
            <p>Check to make sure only a small number of items auto-load immediately or while scrolling. Having additional items load on request ("show more") is fine.</p>`},embedCustom:{title:"Manual check: is this embedded content accessible?",tip:()=>"<p>Please make sure images inside this embed have alt text, videos have captions, and interactive components can be <a href='https://webaim.org/techniques/keyboard/'>operated by a keyboard</a>.</p>"}}};class Ed11yElementAlt extends HTMLElement{constructor(){super()}connectedCallback(){var e,t,i,s;this.initialized||(e=this.attachShadow({mode:"open"}),(t=document.createElement("div")).classList.add("ed11y-wrapper","ed11y-alt-wrapper"),i=Ed11y.imageAlts[this.dataset.ed11yImg],(s=document.createElement("span")).textContent=i[2],s.classList.add(i[3]),t.appendChild(s),Ed11y.attachCSS(t),e.appendChild(t),this.initialized=!0)}}customElements.define("ed11y-element-alt",Ed11yElementAlt);class Ed11yElementPanel extends HTMLElement{constructor(){super()}template(){return`
    <div class='ed11y-buttonbar'>
        <button type='button' id='ed11y-toggle'><span class="ed11y-sr-only">Show alerts</span><span class="ed11y-toggle-circle"><span class='icon'></span><span class='toggle-count'></span></span></button>
      <!-- todo: can't switch both label and aria-expanded -->
      <button id='ed11y-visualize' data-data-ed11y-pressed="false" class='ed11y-panel-fa'>
        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="Currentcolor" d="M288 32c-80.8 0-145.5 36.8-192.6 80.6C48.6 156 17.3 208 2.5 243.7c-3.3 7.9-3.3 16.7 0 24.6C17.3 304 48.6 356 95.4 399.4C142.5 443.2 207.2 480 288 480s145.5-36.8 192.6-80.6c46.8-43.5 78.1-95.4 93-131.1c3.3-7.9 3.3-16.7 0-24.6c-14.9-35.7-46.2-87.7-93-131.1C433.5 68.8 368.8 32 288 32zM144 256a144 144 0 1 1 288 0 144 144 0 1 1 -288 0zm144-64c0 35.3-28.7 64-64 64c-7.1 0-13.9-1.2-20.3-3.3c-5.5-1.8-11.9 1.6-11.7 7.4c.3 6.9 1.3 13.8 3.2 20.7c13.7 51.2 66.4 81.6 117.6 67.9s81.6-66.4 67.9-117.6c-11.1-41.5-47.8-69.4-88.6-71.1c-5.8-.2-9.2 6.1-7.4 11.7c2.1 6.4 3.3 13.2 3.3 20.3z"/></svg>
        <span class="ed11y-sr-only">${Ed11y.M.buttonToolsContent}</span>
        </button>
      <button id='ed11y-show-hidden' data-ed11y-pressed='${!!Ed11y.options.showDismissed}' hidden><svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="Currentcolor" d="M152.1 38.2c9.9 8.9 10.7 24 1.8 33.9l-72 80c-4.4 4.9-10.6 7.8-17.2 7.9s-12.9-2.4-17.6-7L7 113C-2.3 103.6-2.3 88.4 7 79s24.6-9.4 33.9 0l22.1 22.1 55.1-61.2c8.9-9.9 24-10.7 33.9-1.8zm0 160c9.9 8.9 10.7 24 1.8 33.9l-72 80c-4.4 4.9-10.6 7.8-17.2 7.9s-12.9-2.4-17.6-7L7 273c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l22.1 22.1 55.1-61.2c8.9-9.9 24-10.7 33.9-1.8zM224 96c0-17.7 14.3-32 32-32l224 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-224 0c-17.7 0-32-14.3-32-32zm0 160c0-17.7 14.3-32 32-32l224 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-224 0c-17.7 0-32-14.3-32-32zM160 416c0-17.7 14.3-32 32-32l288 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-288 0c-17.7 0-32-14.3-32-32zM48 368a48 48 0 1 1 0 96 48 48 0 1 1 0-96z"/></svg><span class="ed11y-sr-only">${Ed11y.M.buttonShowHiddenAlert}</span></button>
      <button class='ed11y-jump next' data-ed11y-goto='0'><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 448 512"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="currentColor" d="M64 32C64 14.3 49.7 0 32 0S0 14.3 0 32L0 64 0 368 0 480c0 17.7 14.3 32 32 32s32-14.3 32-32l0-128 64.3-16.1c41.1-10.3 84.6-5.5 122.5 13.4c44.2 22.1 95.5 24.8 141.7 7.4l34.7-13c12.5-4.7 20.8-16.6 20.8-30l0-247.7c0-23-24.2-38-44.8-27.7l-9.6 4.8c-46.3 23.2-100.8 23.2-147.1 0c-35.1-17.6-75.4-22-113.5-12.5L64 48l0-16z"></path></svg><span class='jump-next ed11y-sr-only'>${Ed11y.M.buttonFirstContent}</span></button>
    </div>
    <div id="ed11y-message" aria-live="polite"></div>
    <div id='ed11y-visualizers' class="content" hidden>
      <details id="ed11y-headings-tab">
          <summary>
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" aria-hidden="true"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="currentColor" d="M0 96C0 78.3 14.3 64 32 64l384 0c17.7 0 32 14.3 32 32s-14.3 32-32 32L32 128C14.3 128 0 113.7 0 96zM64 256c0-17.7 14.3-32 32-32l384 0c17.7 0 32 14.3 32 32s-14.3 32-32 32L96 288c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32L32 448c-17.7 0-32-14.3-32-32s14.3-32 32-32l384 0c17.7 0 32 14.3 32 32z"></path></svg> ${Ed11y.M.buttonOutlineContent}
          </summary>
          <div class="details">
              ${Ed11y.M.panelCheckOutline}
              <ul id='ed11y-outline'></ul>
          </div>
      </details>
      <details id="ed11y-alts-tab">
          <summary>
              <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 576 512"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="currentColor" d="M160 80l352 0c8.8 0 16 7.2 16 16l0 224c0 8.8-7.2 16-16 16l-21.2 0L388.1 178.9c-4.4-6.8-12-10.9-20.1-10.9s-15.7 4.1-20.1 10.9l-52.2 79.8-12.4-16.9c-4.5-6.2-11.7-9.8-19.4-9.8s-14.8 3.6-19.4 9.8L175.6 336 160 336c-8.8 0-16-7.2-16-16l0-224c0-8.8 7.2-16 16-16zM96 96l0 224c0 35.3 28.7 64 64 64l352 0c35.3 0 64-28.7 64-64l0-224c0-35.3-28.7-64-64-64L160 32c-35.3 0-64 28.7-64 64zM48 120c0-13.3-10.7-24-24-24S0 106.7 0 120L0 344c0 75.1 60.9 136 136 136l320 0c13.3 0 24-10.7 24-24s-10.7-24-24-24l-320 0c-48.6 0-88-39.4-88-88l0-224zm208 24a32 32 0 1 0 -64 0 32 32 0 1 0 64 0z"></path></svg> ${Ed11y.M.buttonAltsContent}
          </summary>
          <div class="details">
              ${Ed11y.M.panelCheckAltText}
              <ul id='ed11y-alt-list'></ul>
          </div>
      </details>
    
    </div>
     </div>
    
    
    
    `}connectedCallback(){var e,t;this.initialized||(this.style.setProperty("outline","0"),this.classList.add("ed11y-element"),e=this.attachShadow({mode:"open"}),(t=document.createElement("aside")).setAttribute("aria-label",Ed11y.M.panelControls),t.classList.add("ed11y-wrapper","ed11y-panel-wrapper","ed11y-pass"),t.innerHTML=this.template(),Ed11y.attachCSS(e),e.appendChild(t),Ed11y.panel=t,Ed11y.panelElement=this,Ed11y.panelToggle=t.querySelector("#ed11y-toggle"),Ed11y.panelToggleTitle=t.querySelector("#ed11y-toggle .ed11y-sr-only"),Ed11y.panelCount=t.querySelector(".toggle-count"),Ed11y.panelJumpNext=t.querySelector(".ed11y-jump.next"),Ed11y.panelJumpNext.addEventListener("click",this.jumpTo),Ed11y.showDismissed=t.querySelector("#ed11y-show-hidden"),Ed11y.message=t.querySelector("#ed11y-message"),t.querySelectorAll(".ed11y-buttonbar button").forEach(e=>{e.addEventListener("click",this.handleBarClick)}),this.initialized=!0)}jumpTo(e){e.preventDefault(),Ed11y.toggledFrom=e.target.closest("button"),Ed11y.jumpTo(1)}handleBarClick(e){switch(e.preventDefault(),Ed11y.message.textContent="",e.currentTarget.getAttribute("id")){case"ed11y-toggle":Ed11y.togglePanel();break;case"ed11y-show-hidden":Ed11y.toggleShowDismissals();break;case"ed11y-visualize":Ed11y.visualize()}}}customElements.define("ed11y-element-panel",Ed11yElementPanel);class Ed11yElementHeadingLabel extends HTMLElement{constructor(){super()}connectedCallback(){var e,t,i,s;this.initialized||(e=this.attachShadow({mode:"open"}),(t=document.createElement("div")).classList.add("ed11y-wrapper","ed11y-heading-wrapper"),i=this.dataset.ed11yHeadingOutline,i=Ed11y.headingOutline[i],t.innerHTML="H"+i[1],s=!!i[2],t.classList.add("issue"+s),s=Math.max(52-8*i[1],12),t.style.setProperty("font-size",s+"px"),Ed11y.attachCSS(t),e.appendChild(t),this.initialized=!0)}}customElements.define("ed11y-element-heading-label",Ed11yElementHeadingLabel);class Ed11yElementResult extends HTMLElement{constructor(){super()}connectedCallback(){var e,t;this.initialized||(this.open=!1,this.racing=!1,this.style.setProperty("outline","0px solid transparent"),e=this.attachShadow({mode:"open"}),this.resultID=this.dataset.ed11yResult,this.result=Ed11y.results[this.resultID],this.wrapper=document.createElement("div"),this.dismissable=!!this.result.dismissalKey,this.dismissed=!!this.result.dismissalStatus,this.wrapper.classList.add("ed11y-wrapper","ed11y-result-wrapper"),this.wrapper.classList.add("ed11y-result"),this.toggle=document.createElement("button"),this.toggle.setAttribute("class","toggle"),t=this.dismissable?Ed11y.M.toggleManualCheck:Ed11y.M.toggleAlert,this.toggle.setAttribute("aria-label",Ed11y.M.toggleAriaLabel(t)),this.toggle.setAttribute("aria-expanded","false"),this.toggle.setAttribute("aria-haspopup","dialog"),this.toggle.setAttribute("data-ed11y-result",this.dataset.ed11yResult),this.toggle.setAttribute("data-ed11y-ready","false"),this.toggle.setAttribute("data-ed11y-race","false"),Ed11y.options.inlineAlerts||this.toggle.style.setProperty("font-size","16px"),this.dismissed?(this.toggle.classList.add("dismissed"),"ok"!==this.result.dismissalStatus?this.toggle.classList.add("notok"):this.toggle.classList.add("ok")):this.dismissable&&this.toggle.classList.add("dismissable"),this.wrapper.appendChild(this.toggle),this.toggle.addEventListener("click",this.toggleClick),this.toggle.addEventListener("focus",this.handleFocus),this.toggle.addEventListener("mouseover",this.handleHover),this.tipNeedsBuild=!0,Ed11y.attachCSS(this.wrapper),e.appendChild(this.wrapper),this.initialized=!0)}handleHover(e){e.preventDefault();let t=this.getRootNode().host;this.classList.contains("intersecting")||"false"!==t.getAttribute("data-ed11y-open")||!1!==t.racing||(t.racing=!0,t.toggleTip(!0),Ed11y.toggledFrom=this,window.setTimeout(function(){t.racing=!1},250,t))}handleFocus(){var e=this.getRootNode().host;this.getRootNode().host.classList.contains("ed11y-offscreen")&&(e.result.element.scrollIntoView(),Ed11y.alignButtons())}toggleClick(e){e.preventDefault();let t=this.getRootNode().host;!1===t.racing&&(t.racing=!0,Ed11y.toggledFrom=this,e="false"===t.getAttribute("data-ed11y-open")?"open":"close",t.setAttribute("data-ed11y-action",e),"open"==e&&window.setTimeout(function(){document.querySelector('ed11y-element-tip[data-ed11y-open="true"]')?.shadowRoot.querySelector(".title").focus()},500),window.setTimeout(function(){t.racing=!1},250,t))}closeOtherTips(){Ed11y.openTip.button&&Ed11y.openTip.button.setAttribute("data-ed11y-action","close")}buildTip(){this.tipNeedsBuild=!1;var e=document.createElement("ed11y-element-tip");e.classList.add("ed11y-element"),e.setAttribute("data-ed11y-result",this.resultID),document.querySelector("body").insertAdjacentElement("beforeend",e),this.tip=e}toggleTip(e){this.tipNeedsBuild&&this.buildTip(),this.toggle.setAttribute("aria-expanded",e);var t=this.dismissable?"ed11y-ring-yellow":"ed11y-ring-red";Ed11y.options.inlineAlerts?this.result.element.classList.toggle(t):Ed11y.editableHighlighter(this.resultID,e),!0===e?(document.dispatchEvent(new CustomEvent("ed11yPop",{detail:{id:"ed11y-result-"+this.toggle.getAttribute("data-ed11y-result")}})),this.closeOtherTips(),this.tip.setAttribute("data-ed11y-action","open"),requestAnimationFrame(()=>Ed11y.alignTip(this.toggle,this.tip)),Ed11y.jumpList||Ed11y.buildJumpList(),Ed11y.lastOpenTip=Number(this.getAttribute("data-ed11y-jump-position")),Ed11y.openTip={button:this,tip:this.tip},this.result.highlight?.style.setProperty("opacity","1")):(document.dispatchEvent(new CustomEvent("ed11yShut",{detail:{id:"ed11y-result-"+this.toggle.getAttribute("data-ed11y-result")}})),this.tip.setAttribute("data-ed11y-action","shut"),this.result.highlight?.style.setProperty("opacity","0"),Ed11y.openTip={button:!1,tip:!1}),this.setAttribute("data-ed11y-open",e),this.open=e}static get observedAttributes(){return["data-ed11y-action"]}attributeChangedCallback(e,t,i){this.initialized&&"data-ed11y-action"===e&&"false"!==i&&(e="open"===i,this.setAttribute("data-ed11y-action","false"),this.toggleTip(e))}}customElements.define("ed11y-element-result",Ed11yElementResult);class Ed11yElementTip extends HTMLElement{constructor(){super()}connectedCallback(){if(!this.initialized){this.open=!0,this.style.setProperty("outline","0px solid transparent");var i=this.attachShadow({mode:"open"}),s=(this.resultID=this.dataset.ed11yResult,this.result=Ed11y.results[this.resultID],this.wrapper=document.createElement("div"),this.wrapper.setAttribute("role","dialog"),this.dismissable=!!this.result.dismissalKey,this.dismissed=!!this.result.dismissalStatus,this.wrapper.classList.add("ed11y-tip-wrapper","ed11y-wrapper"),this.addEventListener("mouseover",this.handleHover),Ed11y.attachCSS(this.wrapper),this.tip=document.createElement("div"),this.tip.classList.add("tip"),this.tip.setAttribute("aria-labelledby","tip-title-"+[this.resultID]),document.createElement("div")),n=(s.classList.add("content"),this.heading=document.createElement("div"),this.heading.setAttribute("id","tip-"+this.resultID),this.heading.classList.add("title"),this.heading.setAttribute("tabindex","-1"),this.heading.innerHTML=Ed11y.M[this.result.test].title,s.append(this.heading),document.createElement("div")),n=(n.classList.add("ed11y-tip-alert"),this.heading.insertAdjacentElement("afterbegin",n),document.createElement("div")),n=(n.innerHTML=this.result.content,s.append(n),this.dismissable&&((n=document.createElement("div")).classList.add("ed11y-tip-dismissals"),Ed11y.options.showDismissed&&this.dismissed?(d="ok"===Ed11y.dismissedAlerts[Ed11y.options.currentPage][this.result.test][this.result.dismissalKey])&&Ed11y.options.allowOK||!d?((o=document.createElement("button")).classList.add("dismiss"),o.textContent=d?Ed11y.M.undismissOKButton:Ed11y.M.undismissHideButton,n.append(o),o.addEventListener("click",function(){Ed11y.dismissThis("reset")})):((d=document.createElement("div")).classList.add("dismissed-note"),d.textContent=Ed11y.M.undismissNotePermissions,n.append(d)):(Ed11y.options.allowOK&&((o=document.createElement("button")).classList.add("dismiss"),Ed11y.options.syncedDismissals&&o.setAttribute("title",Ed11y.M.dismissOkTitle),o.textContent=Ed11y.M.dismissOkButtonContent,n.append(o),o.addEventListener("click",function(){Ed11y.dismissThis("ok")})),Ed11y.options.allowHide&&((d=document.createElement("button")).classList.add("dismiss"),Ed11y.options.syncedDismissals&&d.setAttribute("title",Ed11y.M.dismissHideTitle),d.textContent=Ed11y.M.dismissHideButtonContent,n.append(d),d.addEventListener("click",function(){Ed11y.dismissThis("hide")}))),s.append(n)),this.tip.append(s),this.navBar=document.createElement("div"),this.navBar.classList.add("ed11y-tip-header"),this.count=document.createElement("div"),this.count.classList.add("ed11y-tip-count"),this.count.textContent=Number.parseInt(this.result.toggle.dataset.ed11yJumpPosition)+1+" / "+Ed11y.jumpList.length,this.navBar.append(this.count),1<Ed11y.jumpList.length&&(this.prev=document.createElement("button"),this.prev.classList.add("ed11y-tip-prev"),this.prev.setAttribute("aria-label",Ed11y.M.buttonPrevContent),this.prev.setAttribute("title",Ed11y.M.buttonPrevContent),this.prevIcon=document.createElement("span"),this.prevIcon.textContent="➤",this.prev.append(this.prevIcon),this.prev.addEventListener("click",e=>{e.preventDefault(),Ed11y.jumpTo(-1)}),this.navBar.append(this.prev),this.next=document.createElement("button"),this.next.classList.add("ed11y-tip-next"),this.next.setAttribute("aria-label",Ed11y.M.buttonNextContent),this.next.setAttribute("title",Ed11y.M.buttonNextContent),this.nextIcon=document.createElement("span"),this.nextIcon.textContent="➤",this.next.append(this.nextIcon),this.next.addEventListener("click",e=>{e.preventDefault(),Ed11y.jumpTo(1)}),this.navBar.append(this.next),Ed11y.options.reportsURL)&&((o=document.createElement("a")).innerHTML='<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">\x3c!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--\x3e<path fill="currentColor" d="M432 48L208 48c-17.7 0-32 14.3-32 32l0 16-48 0 0-16c0-44.2 35.8-80 80-80L432 0c44.2 0 80 35.8 80 80l0 224c0 44.2-35.8 80-80 80l-16 0 0-48 16 0c17.7 0 32-14.3 32-32l0-224c0-17.7-14.3-32-32-32zM48 448c0 8.8 7.2 16 16 16l256 0c8.8 0 16-7.2 16-16l0-192L48 256l0 192zM64 128l256 0c35.3 0 64 28.7 64 64l0 256c0 35.3-28.7 64-64 64L64 512c-35.3 0-64-28.7-64-64L0 192c0-35.3 28.7-64 64-64z"/></svg>',o.classList.add("ed11y-tip-reports","button"),o.setAttribute("href",Ed11y.options.reportsURL),o.setAttribute("target","_blank"),o.setAttribute("aria-label",Ed11y.M.reportsLink),o.setAttribute("title",Ed11y.M.reportsLink),this.navBar.append(o)),this.help=document.createElement("details"),this.help.classList.add("button"),this.helpContent=document.createElement("div"),this.helpContent.classList.add("ed11y-tip-help-content"),this.helpContent.innerHTML=Ed11y.M.panelHelp,this.help.append(this.helpContent),this.helpToggle=document.createElement("summary"),this.helpToggle.textContent="?",this.helpToggle.setAttribute("aria-label",Ed11y.M.panelHelpTitle),this.helpToggle.setAttribute("title",Ed11y.M.panelHelpTitle),this.help.insertAdjacentElement("afterbegin",this.helpToggle),this.navBar.append(this.help),Ed11y.options.inlineAlerts||((d=document.createElement("button")).innerHTML='<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 256 512">\x3c!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--\x3e<path fill="currentColor" d="M.1 29.3C-1.4 47 11.7 62.4 29.3 63.9l8 .7C70.5 67.3 96 95 96 128.3L96 224l-32 0c-17.7 0-32 14.3-32 32s14.3 32 32 32l32 0 0 95.7c0 33.3-25.5 61-58.7 63.8l-8 .7C11.7 449.6-1.4 465 .1 482.7s16.9 30.7 34.5 29.2l8-.7c34.1-2.8 64.2-18.9 85.4-42.9c21.2 24 51.2 40 85.4 42.9l8 .7c17.6 1.5 33.1-11.6 34.5-29.2s-11.6-33.1-29.2-34.5l-8-.7C185.5 444.7 160 417 160 383.7l0-95.7 32 0c17.7 0 32-14.3 32-32s-14.3-32-32-32l-32 0 0-95.7c0-33.3 25.5-61 58.7-63.8l8-.7c17.6-1.5 30.7-16.9 29.2-34.5S239-1.4 221.3 .1l-8 .7C179.2 3.6 149.2 19.7 128 43.7c-21.2-24-51.2-40-85.4-42.9l-8-.7C17-1.4 1.6 11.7 .1 29.3z"/></svg>',d.setAttribute("aria-label",Ed11y.M.transferFocus),d.setAttribute("title",Ed11y.M.transferFocus),d.classList.add("ed11y-transfer-focus"),this.navBar.append(d),d.addEventListener("click",function(){Ed11y.transferFocus()})),document.createElement("button")),s=(n.setAttribute("arial-label",Ed11y.M.closeTip),n.setAttribute("title",Ed11y.M.closeTip),n.classList.add("close"),n.innerHTML='<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 384 512">\x3c!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--\x3e<path fill="currentColor" d="M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z"/></svg>',this.navBar.append(n),this.tip.append(this.navBar),document.createElement("div")),o=(s.classList.add("arrow"),n.addEventListener("click",e=>{e.preventDefault(),this.open&&(e=document.querySelector('ed11y-element-result[data-ed11y-open="true"]'),Ed11y.toggledFrom&&Ed11y.toggledFrom.focus(),e?.setAttribute("data-ed11y-action","shut"),this.setAttribute("data-ed11y-action","shut"))}),document.addEventListener("click",e=>{this.open&&!e.target.closest("ed11y-element-tip, ed11y-element-result, ed11y-element-panel")&&(document.querySelector('ed11y-element-result[data-ed11y-open="true"]')?.setAttribute("data-ed11y-action","shut"),this.setAttribute("data-ed11y-action","shut"))}),i.appendChild(this.wrapper),document.createElement("div")),d=(o.setAttribute("tabIndex","0"),document.createElement("div"));d.setAttribute("tabindex","0"),this.wrapper.appendChild(o),this.wrapper.appendChild(s),this.wrapper.appendChild(this.tip),this.wrapper.appendChild(d);let e=this.wrapper.querySelectorAll('a, button, [tabindex="0"]'),t=e.length;e[0].addEventListener("focus",()=>{e[t-2].focus()}),e[t-1].addEventListener("focus",()=>{e[1].focus()}),this.initialized=!0}}toggleTip(e){e?(Ed11y.resetClass([]),this.wrapper.classList.add("open"),Ed11y.alertOnInvisibleTip(this.result.toggle,this.result.element)):this.wrapper.classList.remove("open"),this.setAttribute("data-ed11y-open",e)}static get observedAttributes(){return["data-ed11y-action"]}attributeChangedCallback(e,t,i){this.initialized&&"data-ed11y-action"===e&&"false"!==i&&(this.open=e="open"===i,this.setAttribute("data-ed11y-action","false"),this.toggleTip(e))}}customElements.define("ed11y-element-tip",Ed11yElementTip);class Ed11yTestEmbeds{check(){let e=Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.videoContent),t=(0<(e=e?e.concat(Array.from(Ed11y.elements.video)):Ed11y.elements.video).length&&e.forEach(e=>{var t=Ed11y.dismissalKey("undefined"!==e?.getAttribute("src")?e.getAttribute("src"):e.querySelector("[src]")?.getAttribute("src"));Ed11y.results.push({element:e,test:"embedVideo",content:Ed11y.M.embedVideo.tip(),position:"beforebegin",dismissalKey:t})}),Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.audioContent));0<(t=t?t.concat(Array.from(Ed11y.elements.audio)):Ed11y.elements.audio).length&&t.forEach(e=>{var t=Ed11y.dismissalKey("undefined"!==e?.getAttribute("src")?e.getAttribute("src"):e.querySelector("[src]")?.getAttribute("src"));Ed11y.results.push({element:e,test:"embedAudio",content:Ed11y.M.embedAudio.tip(),position:"beforebegin",dismissalKey:t})});var i=Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.dataVizContent),i=(0<i.length&&i.forEach(e=>{var t=Ed11y.dismissalKey(e.getAttribute("src"));Ed11y.results.push({element:e,test:"embedVisualization",content:Ed11y.M.embedVisualization.tip(),position:"beforebegin",dismissalKey:t})}),Ed11y.srcMatchesOptions(Ed11y.elements.frame,Ed11y.options.twitterContent));0<i.length&&i.forEach(e=>{var t=e.querySelectorAll(".timeline-TweetList-tweet");t&&3<t&&(t=Ed11y.dismissalKey(e.getAttribute("src")),Ed11y.results.push({element:e,test:"embedTwitter",content:Ed11y.M.embedTwitter.tip(),position:"beforebegin",dismissalKey:t}))}),Ed11y.options.embeddedContent&&Ed11y.elements.embed?.forEach(e=>{var t=Ed11y.dismissalKey(e.getAttribute("src")+e.getAttribute("id")+e.getAttribute("class"));Ed11y.results.push({element:e,test:"embedCustom",content:Ed11y.M.embedCustom.tip(),position:"beforebegin",dismissalKey:t})})}}class Ed11yTestHeadings{check(){Ed11y.panel?.querySelectorAll("#ed11y-outline-list li, .ed11y-headings-label")?.forEach(e=>e.remove());let r=0,c=!1,y=(Ed11y.headingOutline=[],"afterbegin");Ed11y.elements.h?.filter(e=>Ed11y.elementNotHidden(e))?.forEach(n=>{if(Ed11y.addedNodeReadyToCheck(n)){let e;var o=[];if(n.isContentEditable!==c){let t=n.closest("[contenteditable]");t&&Ed11y.options.editorHeadingLevel.some(e=>{if(t.matches(e.selector))return"inherit"!==e.level&&(r=e.previousHeading),!0}),c=n.isContentEditable}e=n.hasAttribute("aria-level")?+n.getAttribute("aria-level"):+n.tagName.slice(1),e=parseInt(e);let t="",i="";var d,a=Ed11y.computeText(n),l=a.length;let s=!1;l<1?(d=n.querySelector("img")?.getAttribute("alt"))&&0!==d.length||(i+=Ed11y.M.errorOutlinePrefixHeadingEmpty,t="headingEmpty",s=!1,o.push({element:n,test:t,content:Ed11y.M.headingEmpty.tip(),position:y,dismissalKey:s})):160<l&&(i+=Ed11y.M.errorOutlinePrefixHeadingIsLong,s=Ed11y.dismissalKey(e+a),t="headingIsLong",o.push({element:n,test:t,content:Ed11y.M.headingIsLong.tip(),position:y,dismissalKey:s})),"headingEmpty"!==t&&0<r&&1<e-r&&(s=Ed11y.dismissalKey(e+a),i+=Ed11y.M.errorOutlinePrefixSkippedLevel,t="headingLevelSkipped",o.push({element:n,test:t,content:Ed11y.M.headingLevelSkipped.tip(r,e),position:y,dismissalKey:s})),r=e,""!==t&&(null!==n.closest(Ed11y.options.checkRoots)||Ed11y.options.shadowComponents&&void 0!==n.getRootNode()?.host?.matches(Ed11y.options.shadowComponents)?o.forEach(e=>{Ed11y.results.push(e)}):i=""),Ed11y.headingOutline.push([n,e,i,s])}}),Ed11y.elements.blockquote?.forEach(e=>{var t,i;Ed11y.addedNodeReadyToCheck(e)&&(t=Ed11y.getText(e))&&t.length<25&&(t=Ed11y.dismissalKey(t),i=Ed11y.M.blockquoteIsShort.tip(),Ed11y.results.push({element:e,test:"blockquoteIsShort",content:i,position:y,dismissalKey:t}))})}}class Ed11yTestImages{check(){Ed11y.imageAlts=[],Ed11y.elements.img.forEach(t=>{var s=t.getAttribute("alt");let e=Ed11y.M.altLabelPrefix;var i=t.getAttribute("src");let n=!1,o=!0;var d=Ed11y.parentLink(t);if("string"!=typeof s)n="altMissing",o=!1,e+=Ed11y.M.errorAltMissing;else if(Ed11y.options.altPlaceholder&&-1!==s.indexOf(Ed11y.options.altPlaceholder)||0===s.length&&!d)n="altNull",e+=Ed11y.M.errorAltNull;else{e+=s;const c=s.toLowerCase();if(Ed11y.M.meaninglessAlt.includes(c.trim()))n="altMeaningless",o=!1;else{var a=[".avi",".png",".jp",".webp",".gif",".tiff",".svg",".hei","://"],l=Ed11y.M.suspiciousWords;let i=[null,null];a.forEach(e=>{0<=c.indexOf(e)&&(i[0]="URL")}),l.forEach(e=>{var t=c.indexOf(e);-1<t&&t<6&&(i[1]=e)}),"URL"===i[0]?(n="altURL",o=!1):null!==i[1]?n="altImageOf":d||""===s||""!==s.replace(/"|'|\?|\.|-|\s+/g,"")?160<s.length&&(n="altLong"):(n="altDeadspace",o=!1)}if(null!==d)if(t=d,n||""===s)n=n&&n+"Linked";else{let e=Ed11y.computeText(t,0,!!Ed11y.options.linkIgnoreSelector);e=e.replace(s,""),Ed11y.options.linkStringsNewWindows&&Ed11y.options.linkStringsNewWindows!==Ed11y.M.linkStringsNewWindows&&(e=e.toLowerCase().replace(Ed11y.options.linkIgnoreStrings,"")),0<(e=(e=Ed11y.options.linkIgnoreStrings?Ed11y.options.linkIgnoreStrings?e.toLowerCase().replace(Ed11y.options.linkIgnoreStrings,""):e.toLowerCase():e).replace(/"|'|\?|\.|-|\s+/g,"")).length&&(n="altPartOfLinkWithText")}}let r="pass";n&&(a=Ed11y.M[n].tip(Ed11y.sanitizeForHTML(s)),l=i?i.split("?")[0]:"nosrc_",o=!!o&&Ed11y.dismissalKey(l+s),Ed11y.results.push({element:t,test:n,content:a,position:"beforebegin",dismissalKey:o}),r=!1===o?"ed11y-error":"ed11y-warning"),Ed11y.imageAlts.push([t,i,e,r])})}}class Ed11yTestLinks{check(){Ed11y.elements.a?.forEach(i=>{var s=Ed11y.computeText(i,0,!!Ed11y.options.linkIgnoreSelector),n=0<i.querySelectorAll("img").length,e=i.matches(Ed11y.options.documentLinks);if("_blank"!==i?.getAttribute("target")||Ed11y.options.linkIgnoreSelector&&i?.querySelector(Ed11y.options.linkIgnoreSelector)||s.toLowerCase().match(Ed11y.options.linkStringsNewWindows)||(o=Ed11y.dismissalKey(s),Ed11y.results.push({element:i,test:"linkNewWindow",content:Ed11y.M.linkNewWindow.tip(),position:"beforebegin",dismissalKey:o})),0!==s.replace(/"|'|\?|\.|-|\s+/g,"").length||Ed11y.options.linkIgnoreSelector&&i.querySelector(Ed11y.options.linkIgnoreSelector)){var o=function(t){let e=t;Ed11y.options.linkStringsNewWindows&&Ed11y.options.linkStringsNewWindows!==Ed11y.M.linkStringsNewWindows&&(e=e.toLowerCase().replace(Ed11y.options.linkIgnoreStrings,"")),Ed11y.options.linkIgnoreStrings&&(e=Ed11y.options.linkIgnoreStrings?e.toLowerCase().replace(Ed11y.options.linkIgnoreStrings,""):e.toLowerCase());var i=Ed11y.options.linksUrls||Ed11y.M.linksUrls,s=Ed11y.options.linksMeaningless||Ed11y.M.linksMeaningless;let n="none";if(0===e.replace(s,"").length)n="generic";else for(let e=0;e<i.length;e++)if(-1<t.indexOf(i[e])){n="url";break}return n}(s);if("none"!==o){let e=!1,t=!1;n||(t="linkTextIsURL",e=Ed11y.dismissalKey(s)),"generic"===o&&(t="linkTextIsGeneric",e=Ed11y.dismissalKey(s)),t&&Ed11y.results.push({element:i,test:t,content:Ed11y.M[t].tip(Ed11y.sanitizeForHTML(s)),position:"beforebegin",dismissalKey:e})}}else!1==n?Ed11y.results.push({element:i,test:"linkNoText",content:Ed11y.M.linkNoText.tip(),position:"beforebegin",dismissalKey:!1}):Ed11y.results.push({element:i,test:"altEmptyLinked",content:Ed11y.M.altEmptyLinked.tip(),position:"beforebegin",dismissalKey:!1});e&&(o=Ed11y.dismissalKey(i?.getAttribute("href")),Ed11y.results.push({element:i,test:"linkDocument",content:Ed11y.M.linkDocument.tip(),position:"beforebegin",dismissalKey:o}))})}}class Ed11yTestText{check(){function l(e){return e.replace(/^b|^B|^2/,function(e){return t[e]})}const r=new RegExp(/(([023456789][\d\s])|(1\d))/,""),c=new RegExp(/(^[aA1]|[^\p{Alphabetic}\s])[-\s.)]/,"u"),y=new RegExp(/\p{Extended_Pictographic}/,"u"),p=["a","A","1"],t={b:"a",B:"A",2:"1"};function i(e){let t="";"LI"===e.tagName?e.childNodes.forEach(e=>{3===e.nodeType&&(t+=e.textContent)}):t=Ed11y.getText(e);var i,s=t.match(/([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,})/g);s&&10<s[0].length&&(s=Ed11y.dismissalKey(t),(i=e.closest("a, button"))?Ed11y.results.push({element:i,test:"textUppercase",content:Ed11y.M.textUppercase.tip(),position:"beforebegin",dismissalKey:s}):Ed11y.results.push({element:e,test:"textUppercase",content:Ed11y.M.textUppercase.tip(),position:"afterbegin",dismissalKey:s}))}let u="",h="",m=!1;Ed11y.elements.p?.forEach((t,e)=>{let i=!1,s=!1;var n=(h=h||Ed11y.getText(t).replace("(","")).substring(0,2),o=n.match(c),d=n.match(r),a=n.match(y);if(0<n.length&&n!==u&&!d&&(o||a)){var d=Ed11y.elements.p[e+1];if(d&&(i=Ed11y.getText(d).replace("(","").substring(0,2),p.includes(i?.toLowerCase().trim())||(e=l(i),o?"A "!==n&&n===e&&(s=!0):a&&!m&&e.match(y)&&(s=!0,m=!0))),!s){let e=t?.querySelector("br")?.nextSibling?.nodeValue;e&&(e=e.replace(/<\/?[^>]+(>|$)/g,"").replace("(","").trim().substring(0,2),n!==l(e)&&(o||m||!e.match(y))||(s=!0))}s?(d=Ed11y.dismissalKey(h),Ed11y.results.push({element:t,test:"textPossibleList",content:Ed11y.M.textPossibleList.tip(n),position:"afterbegin",dismissalKey:d}),u=n):(u="",m=!1)}else{a=t.querySelector("strong:not(table strong), b:not(table b)");a&&!t.querySelector("a")&&(e=(a=Ed11y.getText(a)).length,o=null!==a.match(/[.:;?!"']/),e<121)&&5<e&&e===h.length&&!1==o&&(d=Ed11y.dismissalKey(a),Ed11y.results.push({element:t,test:"textPossibleHeading",content:Ed11y.M.textPossibleHeading.tip(),position:"afterbegin",dismissalKey:d}))}h=i&&""});Ed11y.elements.h?.forEach(e=>{i(e)}),Ed11y.elements.p?.forEach(e=>{i(e)}),Ed11y.elements.blockquote?.forEach(e=>{i(e)}),Ed11y.elements.li?.forEach(e=>{i(e)}),Ed11y.elements.table.forEach(e=>{var t,i;Ed11y.addedNodeReadyToCheck(e)&&(t=e.querySelectorAll("th"),i=e.querySelectorAll("h1, h2, h3, h4, h5, h6"),0===t.length?Ed11y.results.push({element:e,test:"tableNoHeaderCells",content:Ed11y.M.tableNoHeaderCells.tip(),position:"beforebegin",dismissalKey:!1}):Array.from(t).some(e=>{if(Ed11y.computeText(e).length<1)return Ed11y.results.push({element:e,test:"tableEmptyHeaderCell",content:Ed11y.M.tableEmptyHeaderCell.tip(),position:"afterbegin",dismissalKey:!1}),!0}),i)&&i.forEach(e=>{Ed11y.results.push({element:e,test:"tableContainsContentHeading",content:Ed11y.M.tableContainsContentHeading.tip(),position:"beforebegin",dismissalKey:!1})})})}}class Ed11y{constructor(e){var t={cssUrls:!(Ed11y.version="2.3.0-dev"),checkRoots:!1,shadowComponents:!1,ignoreElements:!1,ignoreByKey:{p:"table p",img:"[aria-hidden], [aria-hidden] img",a:"[aria-hidden][tabindex]",table:'[role="presentation"]'},alertMode:"userPreference",inlineAlerts:!0,editableContent:'[contenteditable="true"]',currentPage:!1,allowHide:!0,allowOK:!0,syncedDismissals:!1,reportsURL:!1,showDismissed:!1,ignoreAllIfAbsent:!1,ignoreAllIfPresent:!1,preventCheckingIfPresent:!1,preventCheckingIfAbsent:!1,linkIgnoreStrings:!1,linkIgnoreSelector:!1,checkVisible:!0,hiddenHandlers:"",panelPinTo:"right",panelOffsetX:"1%",panelOffsetY:"1%",panelNoCover:"",lang:"en",theme:"sleekTheme",sleekTheme:{bg:"#eff2ff",bgHighlight:"#7b1919",text:"#20160c",primary:"#276499",primaryText:"#fffdf7",button:"transparent",panelBar:"#1e517c",panelBarText:"#fffdf7",panelBarShadow:"inset 0 -1px #0002, -1px 0 #0002",panelBorder:"0px",activeTab:"#276499",activeTabText:"#fffffe",focusRing:"#007aff",outlineWidth:0,borderRadius:"3px",ok:"#1f5381",warning:"rgb(250, 216, 89)",warningText:"#20160c",alert:"rgb(184, 5, 25)",alertText:"#f4f7ff"},darkTheme:{bg:"#0a2051",bgHighlight:"#7b1919",text:"#f4f7ff",primary:"#3052a0",primaryText:"#f4f7ff",button:"transparent",panelBar:"#3052a0",panelBarText:"#f4f7ff",panelBarShadow:"inset 0 -1px #0002, -1px 0 #0002",panelBorder:"2px",activeTab:"#0a2051",activeTabText:"#fffffe",focusRing:"cyan",outlineWidth:"2px",borderRadius:"3px",ok:"#0a307a",warning:"rgb(250, 216, 89)",warningText:"#20160c",alert:"rgb(184, 5, 25)",alertText:"#f4f7ff"},lightTheme:{bg:"#fffffe",bgHighlight:"#7b1919",text:"#20160c",primary:"#0a307a",primaryText:"#fffdf7",panelBar:"#0a307a",panelBarText:"#f4f7ff",panelBarShadow:"inset 0 -1px #fff2, -1px 0 #fff2",panelBorder:"2px",button:"transparent",activeTab:"#b9c0cf",activeTabText:"#20160c",focusRing:"#007aff",outlineWidth:"2px",borderRadius:"3px",ok:"#0a307a",warning:"rgb(250, 216, 89)",warningText:"#20160c",alert:"rgb(184, 5, 25)",alertText:"#f4f7ff"},buttonZIndex:1299,baseFontSize:"14px",baseFontFamily:'-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif',embeddedContent:!1,embeddedContentTitle:"",embeddedContentMessage:"",videoContent:"youtube.com, vimeo.com, yuja.com, panopto.com",audioContent:"soundcloud.com, simplecast.com, podbean.com, buzzsprout.com, blubrry.com, transistor.fm, fusebox.fm, libsyn.com",dataVizContent:"datastudio.google.com, tableau",twitterContent:"twitter-timeline",documentLinks:"a[href$='.pdf'], a[href*='.pdf?'], a[href$='.doc'], a[href$='.docx'], a[href*='.doc?'], a[href*='.docx?'], a[href$='.ppt'], a[href$='.pptx'], a[href*='.ppt?'], a[href*='.pptx?'], a[href^='https://docs.google']",linksUrls:!1,linksMeaningless:!1,altPlaceholder:!1,editorHeadingLevel:[{selector:"*",previousHeading:0}],contentEditableHeadingLevels:[],userPrefersShut:"0"===localStorage.getItem("editoria11yShow"),customTests:0};Ed11y.options={...t,...e},Ed11y.M={...ed11yLang.en,...ed11yLang[Ed11y.options.lang]},Ed11y.theme=Ed11y.options[Ed11y.options.theme],Ed11y.theme.baseFontSize=Ed11y.options.baseFontSize,Ed11y.theme.buttonZIndex=Ed11y.options.buttonZIndex,Ed11y.theme.baseFontFamily=Ed11y.options.baseFontFamily,!1===Ed11y.options.currentPage&&(Ed11y.options.currentPage=window.location.pathname),Ed11y.options.linkStringsNewWindows||(Ed11y.options.linkStringsNewWindows=Ed11y.M.linkStringsNewWindows),Ed11y.options.cssUrls||((t=document.querySelector('link[href*="editoria11y.css"], link[href*="editoria11y.min.css"]'))?Ed11y.options.cssUrls=[t.getAttribute("href")]:(console.warn("Editoria11y CSS file parameter is missing; attempting to load from CDN."),Ed11y.options.cssUrls=["https://cdn.jsdelivr.net/gh/itmaybejj/editoria11y@2/dist/editoria11y.min.css"]));const i=document.createElement("div");i.setAttribute("hidden",""),Ed11y.options.cssUrls?.forEach(e=>{var t=document.createElement("link");t.setAttribute("rel","stylesheet"),t.setAttribute("media","all"),t.setAttribute("href",e+"?ver="+Ed11y.version),i.append(t)}),Ed11y.attachCSS=function(e){e.appendChild(i.cloneNode(!0))},Ed11y.elements=[],Ed11y.onLoad=!0,Ed11y.showPanel=!1;let h=window.innerWidth,s=(Ed11y.disable=()=>{Ed11y.reset(),Ed11y.panelToggle?.classList.add("disabled"),Ed11y.panelToggle?.removeAttribute("aria-expanded"),Ed11y.panelToggle&&(Ed11y.panelToggle.querySelector(".ed11y-sr-only").textContent=Ed11y.M.toggleDisabled)},Ed11y.initialize=()=>{Ed11y.checkRunPrevent=()=>{let e=!!Ed11y.options.preventCheckingIfPresent&&document.querySelector(Ed11y.options.preventCheckingIfPresent);return e?console.warn(`Editoria11y is disabled because an element matched the "preventCheckingIfPresent" parameter:  "${Ed11y.options.preventCheckingIfPresent}"`):!e&&Ed11y.options.preventCheckingIfAbsent&&(e=null===document.querySelector(`:is(${Ed11y.options.preventCheckingIfAbsent})`))&&console.warn(`Editoria11y is disabled because no elements matched the "preventCheckingIfAbsent" parameter: "${Ed11y.options.preventCheckingIfAbsent}"`),e};var e;e=()=>{if(Ed11y.checkRunPrevent())return!1;Ed11y.running=!0;var e=localStorage.getItem("editoria11yResultCount");if(Ed11y.seen=e?JSON.parse(e):{},!1===Ed11y.options.syncedDismissals?(Ed11y.dismissedAlerts=localStorage.getItem("ed11ydismissed"),Ed11y.dismissedAlerts=Ed11y.dismissedAlerts?JSON.parse(Ed11y.dismissedAlerts):{}):(Ed11y.dismissedAlerts={},Ed11y.dismissedAlerts[Ed11y.options.currentPage]=Ed11y.options.syncedDismissals),Ed11y.options.currentPage in Ed11y.dismissedAlerts)for(var[t]of Object.entries(Ed11y.dismissedAlerts[Ed11y.options.currentPage]))if(t in Ed11y.dismissedAlerts[Ed11y.options.currentPage])for(var[i,s]of Object.entries(Ed11y.dismissedAlerts[Ed11y.options.currentPage][t])){var n=Ed11y.dismissalKey(i);n!==i&&(Ed11y.dismissedAlerts[Ed11y.options.currentPage][t][n]=s,delete Ed11y.dismissedAlerts[Ed11y.options.currentPage][t][i])}Ed11y.testEmbeds=new Ed11yTestEmbeds,Ed11y.testHeadings=new Ed11yTestHeadings,Ed11y.testImages=new Ed11yTestImages,Ed11y.testLinks=new Ed11yTestLinks,Ed11y.testText=new Ed11yTestText,Ed11y.ignore=Ed11y.options.ignoreElements?`:not(${Ed11y.options.ignoreElements})`:"",Ed11y.options.checkRoots||(Ed11y.options.checkRoots=null!==document.querySelector("main")?"main":"body"),Ed11y.ignoreAll=Ed11y.options.ignoreAllIfAbsent&&null===document.querySelector(`:is(${Ed11y.options.ignoreAllIfAbsent})`),!Ed11y.ignoreAll&&Ed11y.options.ignoreAllIfPresent&&(Ed11y.ignoreAll=null!==document.querySelector(`:is(${Ed11y.options.ignoreAllIfPresent})`)),Ed11y.checkAll(),window.addEventListener("resize",function(){Ed11y.windowResize()})},"complete"===document.readyState?e():window.addEventListener("load",e)},Ed11y.results=[],Ed11y.checkAll=()=>{var e;Ed11y.checkRunPrevent()?Ed11y.disable():(Ed11y.incremental&&(Ed11y.oldResults=Ed11y.results),Ed11y.results=[],Ed11y.elements=[],Ed11y.mediaCount=0,Ed11y.customTestsRunning=!1,0===(e=document.querySelectorAll(`:is(${Ed11y.options.checkRoots})`)).length?(Ed11y.roots=[document.querySelector("html, body")],console.warn("Check Editoria11y configuration; specified root element not found"),Ed11y.disable()):(Ed11y.roots=[],e.forEach((e,t)=>{e.shadowRoot?Ed11y.roots[t]=e.shadowRoot:Ed11y.roots[t]=e}),Ed11y.buildElementList(),["testLinks","testImages","testHeadings","testText","testEmbeds"].forEach(e=>{window.setTimeout(function(){Ed11y[e].check()},0,e)}),0<Ed11y.options.customTests&&(Ed11y.customTestsRunning=!0,Ed11y.customTestsFinished=0,document.addEventListener("ed11yResume",function(){Ed11y.customTestsFinished++,Ed11y.customTestsFinished===Ed11y.options.customTests&&(Ed11y.customTestsRunning=!1,Ed11y.updatePanel())}),window.setTimeout(function(){!0===Ed11y.customTestsRunning&&(Ed11y.customTestsRunning=!1,Ed11y.panelToggle&&(Ed11y.panelToggle.querySelector(".ed11y-sr-only").textContent=Ed11y.M.toggleAccessibilityTools),Ed11y.updatePanel(),console.error("Editoria11y was told to wait for custom tests, but no tests were returned."))},1e3),window.setTimeout(function(){var e=new CustomEvent("ed11yRunCustomTests");document.dispatchEvent(e)},0)),Ed11y.customTestsRunning||window.setTimeout(function(){Ed11y.panelToggle&&(Ed11y.panelToggle.querySelector(".ed11y-sr-only").textContent=Ed11y.M.toggleAccessibilityTools),Ed11y.updatePanel()},0)))},Ed11y.totalCount=0,Ed11y.countAlerts=function(){if(Ed11y.errorCount=0,Ed11y.warningCount=0,Ed11y.dismissedCount=0,Ed11y.ignoreAll)Ed11y.dismissedCount=0<Ed11y.results.length?1:0;else{Ed11y.dismissedCount=0;for(let e=Ed11y.results.length-1;0<=e;e--){var t=Ed11y.results[e].test,i=Ed11y.dismissalKey(Ed11y.results[e].dismissalKey);!1!==i&&Ed11y.options.currentPage in Ed11y.dismissedAlerts&&t in Ed11y.dismissedAlerts[Ed11y.options.currentPage]&&i in Ed11y.dismissedAlerts[Ed11y.options.currentPage][t]?(Ed11y.dismissedCount++,Ed11y.results[e].dismissalStatus=Ed11y.dismissedAlerts[Ed11y.options.currentPage][t][i]):(Ed11y.results[e].dismissalKey?Ed11y.warningCount++:Ed11y.errorCount++,Ed11y.results[e].dismissalStatus=!1)}}Ed11y.totalCount=Ed11y.errorCount+Ed11y.warningCount,Ed11y.incremental||window.setTimeout(function(){var e=new CustomEvent("ed11yResults");document.dispatchEvent(e)},0)},""),n=!1;function o(e){return!(!(e=e.parentElement)||"BODY"===e.tagName)&&(function(e){let t=e.clientHeight&&e.clientHeight<e.scrollHeight;return t&&(e=window.getComputedStyle(e),t="visible"!==e.overflowY),t}(e)?e:o(e))}function c(e,t,i,s,n=55){return!(e+n<i||i+n<e||t+n<s||s+n<t)}Ed11y.updatePanel=function(){if(Ed11y.countAlerts(),Ed11y.incremental){if(!Ed11y.forceFullCheck&&(n?n=!1:(e=(t=JSON.stringify(Ed11y.results))!==s,s=t,!e)))return Ed11y.results=Ed11y.oldResults,void window.setTimeout(function(){Ed11y.alignPending||(Ed11y.alignButtons(),Ed11y.alignPanel()),Ed11y.running=!1},0);Ed11y.forceFullCheck=!1,Ed11y.resetResults()}else 0<Ed11y.totalCount?(Ed11y.seen[encodeURI(Ed11y.options.currentPage)]=Ed11y.totalCount,localStorage.setItem("editoria11yResultCount",JSON.stringify(Ed11y.seen))):delete Ed11y.seen[encodeURI(Ed11y.options.currentPage)];var e,t;"headless"!==Ed11y.options.alertMode&&(!0===Ed11y.onLoad&&(Ed11y.onLoad=!1,Ed11y.options.inlineAlerts||(s=JSON.stringify(Ed11y.results)),t=document.createElement("ed11y-element-panel"),document.querySelector("body").appendChild(t),"active"===Ed11y.options.alertMode||!Ed11y.options.userPrefersShut||Ed11y.options.showDismissed||0<Ed11y.totalCount&&!Ed11y.ignoreAll&&("assertive"===Ed11y.options.alertMode||"polite"===Ed11y.options.alertMode&&Ed11y.seen[encodeURI(Ed11y.options.currentPage)]!==Ed11y.totalCount))&&(Ed11y.showPanel=!0),Ed11y.showPanel?(Ed11y.open=!0,Ed11y.panel.classList.remove("ed11y-shut"),Ed11y.panel.classList.add("ed11y-active"),Ed11y.panelToggle.setAttribute("aria-expanded","true"),Ed11y.panelToggleTitle.textContent=Ed11y.M.buttonHideChecker,0===Ed11y.dismissedCount?(Ed11y.showDismissed.setAttribute("hidden",""),Ed11y.showDismissed.setAttribute("data-ed11y-pressed","false"),Ed11y.options.showDismissed=!1):(1===Ed11y.dismissedCount?Ed11y.showDismissed.querySelector(".ed11y-sr-only").textContent=Ed11y.options.showDismissed?Ed11y.M.buttonHideHiddenAlert:Ed11y.M.buttonShowHiddenAlert:Ed11y.showDismissed.querySelector(".ed11y-sr-only").textContent=Ed11y.options.showDismissed?Ed11y.M.buttonHideHiddenAlerts(Ed11y.dismissedCount):Ed11y.M.buttonShowHiddenAlerts(Ed11y.dismissedCount),Ed11y.showDismissed.removeAttribute("hidden")),window.setTimeout(function(){document.dispatchEvent(new CustomEvent("ed11yPanelOpened")),Ed11y.ignoreAll||Ed11y.showResults()},0)):Ed11y.reset(),0<Ed11y.totalCount||Ed11y.options.showDismissed&&0<Ed11y.dismissedCount?(Ed11y.panelToggleTitle.textContent=Ed11y.open?Ed11y.M.buttonHideChecker:Ed11y.M.buttonShowNoAlert,Ed11y.panelJumpNext.removeAttribute("hidden"),0<Ed11y.errorCount?(Ed11y.panel.classList.remove("ed11y-warnings","ed11y-pass"),Ed11y.panel.classList.add("ed11y-errors")):0<Ed11y.warningCount?(Ed11y.panel.classList.remove("ed11y-errors","ed11y-pass"),Ed11y.panel.classList.add("ed11y-warnings")):(Ed11y.panel.classList.remove("ed11y-errors","ed11y-warnings"),Ed11y.panel.classList.add("ed11y-pass")),0<Ed11y.dismissedCount&&0===Ed11y.totalCount?Ed11y.panelCount.textContent=Ed11y.dismissedCount:Ed11y.panelCount.textContent=99<Ed11y.totalCount?"99+":Ed11y.totalCount):(Ed11y.panelJumpNext.setAttribute("hidden",""),Ed11y.panelCount.style.display="display: none;",Ed11y.panel.classList.remove("ed11y-warnings","ed11y-errors"),Ed11y.panel.classList.add("ed11y-pass"),0<Ed11y.dismissedCount?(Ed11y.panelCount.textContent="i",Ed11y.open?Ed11y.panelToggleTitle.textContent=Ed11y.M.buttonHideChecker:Ed11y.panelToggleTitle.textContent=1<Ed11y.dismissedCount?Ed11y.M.buttonShowHiddenAlerts(Ed11y.dismissedCount):Ed11y.M.buttonShowHiddenAlert):(Ed11y.panelCount.textContent="✓",Ed11y.panelToggleTitle.textContent=Ed11y.open?Ed11y.M.buttonHideChecker:Ed11y.M.buttonShowNoAlert)),Ed11y.panel.classList.remove("ed11y-preload"),Ed11y.panelToggle.classList.remove("disabled"),Ed11y.panelToggle.removeAttribute("aria-disabled"),Ed11y.alignPanel(),Ed11y.bodyStyle||Ed11y.paintReady()),Ed11y.running=!1,Ed11y.elements.editable&&Ed11y.elements.editable.forEach(e=>{y(e)})},Ed11y.result=function(t,e){var i=document.createElement("ed11y-element-result");i.classList.add("ed11y-preload");let s,n="beforebegin";if(i.setAttribute("id","ed11y-result-"+e),i.setAttribute("data-ed11y-result",e),i.setAttribute("data-ed11y-open","false"),Ed11y.options.inlineAlerts){if((s=t.element.closest("a"))||(s=t.element,n=t.position),-1===t.element.style.outline.indexOf("alert")){var o=window.getComputedStyle(t.element).getPropertyValue("display");let e;e=-1===o.indexOf("inline")||"IMG"===t.element.tagName?t.dismissalKey?"ed11y-warning-block":"ed11y-error-block":t.dismissalKey?"ed11y-warning-inline":"ed11y-error-inline",t.element.classList.add(e)}}else s=document.querySelector("body"),n="beforeend",i.classList.add("ed11y-editable-result");s.insertAdjacentElement(n,i),Ed11y.jumpList.unshift(i),Ed11y.results[e].toggle=i},Ed11y.resetResults=function(){Ed11y.jumpList=[],Ed11y.openTip={button:!1,tip:!1},Ed11y.lastOpenTip=-1,Ed11y.resetClass(["ed11y-ring-red","ed11y-ring-yellow","ed11y-hidden-highlight","ed11y-warning-inline","ed11y-warning-block","ed11y-error-block","ed11y-error-inline"]),Ed11y.findElements("reset","ed11y-element-result, ed11y-element-tip, ed11y-element-heading-label, ed11y-element-alt, ed11y-element-highlight",!1),Ed11y.elements.reset.forEach(e=>e.remove())},Ed11y.resetPanel=function(){d=!0,Ed11y.visualize(),0===Ed11y.totalCount&&0<Ed11y.dismissedCount&&(Ed11y.panelCount.textContent="i",Ed11y.panelToggleTitle.textContent=1===Ed11y.dismissedCount?Ed11y.M.buttonShowHiddenAlert:Ed11y.M.buttonShowHiddenAlerts(Ed11y.dismissedCount)),Ed11y.panelJumpNext?.setAttribute("data-ed11y-goto","0"),Ed11y.message.textContent="",Ed11y.panel?.classList.add("ed11y-shut"),Ed11y.panel?.classList.remove("ed11y-active"),Ed11y.panelToggle?.setAttribute("aria-expanded","false")},Ed11y.reset=function(){Ed11y.resetResults(),Ed11y.resetPanel(),Ed11y.incremental=!1,Ed11y.running=!1,Ed11y.showPanel=!1,Ed11y.open=!1},Ed11y.linkText=e=>e=(e=e.replace(Ed11y.options.linkIgnoreStrings,"")).replace(/'|"|-|\.|\s+/g,""),Ed11y.findElements=function(t,i,e=!0){Ed11y.findElements.key=[];let s=Ed11y.options.shadowComponents?", "+Ed11y.options.shadowComponents:"",n="";if(n=Ed11y.options.ignoreElements?Ed11y.options.ignoreByKey[t]?`:not(${Ed11y.options.ignoreElements}, ${Ed11y.options.ignoreByKey[t]})`:`:not(${Ed11y.options.ignoreElements})`:Ed11y.options.ignoreByKey[t]?`:not(${Ed11y.options.ignoreByKey[t]})`:"",Ed11y.elements[t]=[],e?Ed11y.roots.forEach(e=>{Ed11y.elements[t]=Ed11y.elements[t].concat(Array.from(e.querySelectorAll(`:is(${i}${s})`+n)))}):Ed11y.elements[t]=Ed11y.elements[t].concat(Array.from(document.querySelectorAll(`:is(${i}${s})`+n))),Ed11y.options.shadowComponents)for(let e=Ed11y.elements[t].length-1;0<=e;e--){var o;Ed11y.elements[t][e].matches(Ed11y.options.shadowComponents)&&("object"==typeof(o=Ed11y.elements[t][e].shadowRoot?.querySelectorAll(`:is(${i})`+n))&&0<o.length?Ed11y.elements[t].splice(e,1,...o):(console.warn("Editoria11y: A specified shadow host has no shadowRoot."),Ed11y.elements[t].splice(e,1)))}},Ed11y.buildElementList=function(){Ed11y.findElements("editable",Ed11y.options.editableContent,!1),Ed11y.options.inlineAlerts&&0<Ed11y.elements.editable.length&&(Ed11y.options.inlineAlerts=!1,console.log("Editable content detected; Editoria11y inline alerts disabled")),Ed11y.findElements("p","p"),Ed11y.findElements("h",'h1, h2, h3, h4, h5, h6, [role="heading"][aria-level]',!1),Ed11y.findElements("img","img"),Ed11y.findElements("a","a[href]"),Ed11y.findElements("li","li"),Ed11y.findElements("blockquote","blockquote"),Ed11y.findElements("iframe","iframe"),Ed11y.findElements("audio","audio"),Ed11y.findElements("video","video"),Ed11y.findElements("table","table"),Ed11y.options.embeddedContent&&Ed11y.findElements("embed",Ed11y.options.embeddedContent),Ed11y.options.panelNoCover&&Ed11y.findElements("panelPin",Ed11y.options.panelNoCover,!1)},Ed11y.dismissalKey=function(e){return String(e).replace(/([^0-9a-zA-Z])/g,"").substring(0,512)},Ed11y.dismissThis=function(e){var t,i=Ed11y.openTip,s=i.tip.dataset.ed11yResult,n=Ed11y.results[s].test,s=Ed11y.dismissalKey(Ed11y.results[s].dismissalKey);Ed11y.resetClass(["ed11y-hidden-highlight","ed11y-ring-red","ed11y-ring-yellow"]),i.tip?.parentNode.removeChild(i.tip),i.button?.parentNode.removeChild(i.button),"reset"===e?(delete Ed11y.dismissedAlerts[Ed11y.options.currentPage][n][s],0===Object.keys(Ed11y.dismissedAlerts[Ed11y.options.currentPage][n]).length&&delete Ed11y.dismissedAlerts[Ed11y.options.currentPage][n],0===Object.keys(Ed11y.dismissedAlerts[Ed11y.options.currentPage]).length&&delete Ed11y.dismissedAlerts[Ed11y.options.currentPage],Ed11y.updatePanel()):((i={})[s]=e,void 0===Ed11y.dismissedAlerts[Ed11y.options.currentPage]?((t={})[n]=i,Ed11y.dismissedAlerts[Ed11y.options.currentPage]=t):void 0===Ed11y.dismissedAlerts[Ed11y.options.currentPage][n]?Ed11y.dismissedAlerts[Ed11y.options.currentPage][n]=i:Ed11y.dismissedAlerts[Ed11y.options.currentPage][n][s]=e,Ed11y.showDismissed.removeAttribute("hidden")),!1===Ed11y.options.syncedDismissals?localStorage.setItem("ed11ydismissed",JSON.stringify(Ed11y.dismissedAlerts)):(t={dismissPage:Ed11y.options.currentPage,dismissTest:n,dismissKey:s,dismissAction:e},i=new CustomEvent("ed11yDismissalUpdate",{detail:t}),document.dispatchEvent(i)),Ed11y.reset(),Ed11y.showPanel=!0,Ed11y.checkAll();let o=Ed11y.lastOpenTip;window.setTimeout(function(){0<Ed11y.jumpList.length?(Ed11y.lastOpenTip=o-1,Ed11y.panelJumpNext?.focus()):window.setTimeout(function(){Ed11y.panelToggle?.focus()},100)},500,o)},Ed11y.transferFocus=function(){var e,t,i;Ed11y.openTip.tip&&(e=Ed11y.openTip.tip.dataset.ed11yResult,(t=(e=Ed11y.results[e].element).closest("[contenteditable]"))||e.closest("textarea, input")?(Ed11y.toggledFrom=!1,"true"===e.getAttribute("contenteditable")?Ed11y.toggledFrom=e:e.closest('p[contenteditable="true"]')?Ed11y.toggledFrom=e.closest('p[contenteditable="true"]'):Ed11y.toggledFrom=!1,Ed11y.openTip.tip.shadowRoot.querySelector(".close").click(),!Ed11y.toggledFrom&&t&&(t.focus(),t=document.createRange(),i=window.getSelection(),t.setStart(e,0),t.collapse(!0),i.removeAllRanges(),i.addRange(t))):(e.closest("a")?Ed11y.toggledFrom=e.closest("a"):(null===e.getAttribute("tabindex")&&e.setAttribute("tabindex","0"),Ed11y.toggledFrom=e),Ed11y.openTip.tip.shadowRoot.querySelector(".close").click()))},Ed11y.toggleShowDismissals=function(){Ed11y.ignoreAll=!1,Ed11y.options.showDismissed=!Ed11y.options.showDismissed,Ed11y.reset(),Ed11y.showPanel=!0,Ed11y.checkAll(),Ed11y.showDismissed.setAttribute("data-ed11y-pressed",(!!Ed11y.options.showDismissed).toString()),window.setTimeout(function(){Ed11y.showDismissed.focus()},0)},Ed11y.showResults=function(){Ed11y.buildJumpList(),document.dispatchEvent(new CustomEvent("ed11yPanelOpened")),Ed11y.alignButtons(),Ed11y.options.inlineAlerts||(Ed11y.checkEditableIntersects(),Ed11y.intersectionObservers())},Ed11y.editableHighlight=[],Ed11y.editableHighlighter=function(i,s,n){if(s){s=Ed11y.results[i],n=n||s.element;let e=Ed11y.editableHighlight[i];e||(e=document.createElement("ed11y-element-highlight"),(Ed11y.editableHighlight[i]=e).style.setProperty("position","absolute"),e.style.setProperty("pointer-events","none"),document.body.appendChild(e));var o=s.dismissalKey?"calc(var(--ed11y-buttonZIndex, 9999) - 2)":"calc(var(--ed11y-buttonZIndex, 9999) - 1)",o=(e.style.setProperty("z-index",o),s.dismissalKey?"0 0 0 1px #fff, inset 0 0 0 2px var(--ed11y-warning, #fad859), 0 0 0 3px var(--ed11y-warning, #fad859), 0 0 0 4px var(--ed11y-primary)":"0 0 0 1px #fff, inset 0 0 0 2px var(--ed11y-alert, #b80519), 0 0 0 3px var(--ed11y-alert, #b80519), 0 0 1px 3px");e.style.setProperty("box-shadow",o),e.style.setProperty("border-radius","3px"),e.style.setProperty("top","0"),e.style.setProperty("left","0");let t=n.getBoundingClientRect();Ed11y.visible(n)||(s=Ed11y.firstVisibleParent(n),t=s?s.getBoundingClientRect():t),e.style.setProperty("width",t.width+6+"px"),e.style.setProperty("top",t.top+window.scrollY-3+"px"),e.style.setProperty("left",t.left-3+"px"),e.style.setProperty("height",t.height+6+"px"),e.style.setProperty("opacity","1")}else Ed11y.editableHighlight[i]?.style.setProperty("opacity","0")},Ed11y.alignPanel=function(){let t=0,i=0;Ed11y.elements.panelPin&&Ed11y.elements.panelPin.forEach(e=>{e=e.getBoundingClientRect();t="right"===Ed11y.options.panelPinTo?h-e.left>t?h-e.left:t:e.right>t?e.right:t,i=e.height>i?e.height:i}),0<t&&t<h-240?(Ed11y.panelElement.style.setProperty(Ed11y.options.panelPinTo,t+"px"),Ed11y.panelElement.style.setProperty("bottom",Ed11y.options.panelOffsetY)):0<t&&t>h-240&&0<i?(Ed11y.panelElement.style.setProperty(Ed11y.options.panelPinTo,Ed11y.options.panelOffsetX),Ed11y.panelElement.style.setProperty("bottom",`calc(${Ed11y.options.panelOffsetY} + ${i}px)`)):(Ed11y.panelElement.style.setProperty(Ed11y.options.panelPinTo,Ed11y.options.panelOffsetX),Ed11y.panelElement.style.setProperty("bottom",Ed11y.options.panelOffsetY))},Ed11y.alignButtons=function(){if(0!==Ed11y.jumpList.length){Ed11y.alignPending=!0;let a=0,l=0;const r=window.scrollY;Ed11y.options.inlineAlerts?(Ed11y.jumpList.forEach(t=>{if(t.style.setProperty("transform",null),t.style.setProperty("top","initial"),t.style.setProperty("left","initial"),t.style.transform){let e=window.getComputedStyle(t).getPropertyValue("transform");e=e.split(","),t.xOffset=parseFloat(e[4]),t.yOffset=parseFloat(e[5])}else t.xOffset=0,t.yOffset=0}),Ed11y.jumpList.forEach(e=>{e.markOffset=e.getBoundingClientRect(),e.markLeft=e.markOffset.left,e.markTop=e.markOffset.top})):Ed11y.jumpList.forEach((e,t)=>{let i=e.result.element.getBoundingClientRect(),s=i.top+r;var n;Ed11y.visible(e.result.element)||(n=Ed11y.firstVisibleParent(e.result.element),i=n?n.getBoundingClientRect():i,s=i.top+r);let o=i.left;"IMG"===e.result.element.tagName?(s+=10,o+=10):o-=34,e.result.scrollableParent&&(Ed11y.jumpList[t].bounds=e.result.scrollableParent.getBoundingClientRect(),o<Ed11y.jumpList[t].bounds.left?o=Ed11y.jumpList[t].bounds.left:o-40>Ed11y.jumpList[t].bounds.right&&(o=Ed11y.jumpList[t].bounds.right-40)),Ed11y.jumpList[t].targetOffset=i,Ed11y.jumpList[t].markTop=s,Ed11y.jumpList[t].markLeft=o}),Ed11y.jumpList.forEach((e,t)=>{let i=0,s=0,n=(e.markTop+r<0&&(i=-1*(e.markTop+r)-6),(0<t&&c(e.markLeft,e.markTop,Ed11y.jumpList[t-1].markLeft,Ed11y.jumpList[t-1].markTop)||1<t&&c(e.markLeft,e.markTop,Ed11y.jumpList[t-2].markLeft,Ed11y.jumpList[t-2].markTop)||2<t&&c(e.markLeft,e.markTop,Ed11y.jumpList[t-3].markLeft,Ed11y.jumpList[t-3].markTop))&&(i=i+21+a,s=21+l),!1);if(e.markLeft+s<44?(s=44-e.markLeft+s,n=!0):e.markLeft+s+80>h?(n=!0,s=h-s-e.markLeft-80):0!==i&&(n=!0),Ed11y.options.inlineAlerts){if(n){var t=e,o=s,d=i;if(t.style.transform){let e=window.getComputedStyle(t).getPropertyValue("transform");e=e.split(","),t.style.transform=`translate(${parseFloat(e[4])+o}px, ${parseFloat(e[5])+d}px)`}else t.style.transform=`translate(${o}px, ${d}px)`}}else n?e.style.transform=`translate(${e.markLeft+s}px, ${e.markTop+i}px)`:e.style.transform=`translate(${e.markLeft}px, ${e.markTop}px)`;a=i,l=s}),Ed11y.options.inlineAlerts||Ed11y.jumpList.forEach(e=>{e.result.scrollableParent&&e.bounds&&(e.targetOffset.top-e.bounds.top<0||0<e.targetOffset.top-e.bounds.bottom)&&!e.matches(':focus, :focus-within, [data-ed11y-open="true"]')?(e.classList.add("ed11y-offscreen"),e.style.transform="translate(0px, -50px)",e.style.pointerEvents="none","true"===e.getAttribute("data-ed11y-open")&&e.setAttribute("data-ed11y-action","shut")):(e.classList.remove("ed11y-offscreen"),e.style.pointerEvents="auto")}),Ed11y.jumpList?.forEach(e=>{e.classList.remove("ed11y-preload")}),Ed11y.bodyStyle||Ed11y.paintReady()}},Ed11y.paintReady=function(){for(var[e,t]of Object.entries(Ed11y.theme))document.documentElement.style.setProperty("--ed11y-"+e,t);document.querySelector("body")&&Ed11y.attachCSS(document.querySelector("body")),Ed11y.roots.forEach(e=>{Ed11y.options.shadowComponents&&e.querySelectorAll(Ed11y.options.shadowComponents)?.forEach(e=>{e.shadowRoot&&Ed11y.attachCSS(e.shadowRoot)})}),Ed11y.bodyStyle=!0},Ed11y.alignTip=function(d,a,l=0){if(a){var r=a.shadowRoot.querySelector(".arrow"),c=r.nextElementSibling;let e=l+1;l<8&&window.setTimeout(function(){requestAnimationFrame(()=>Ed11y.alignTip(d,a,e))},50,e),c.style.setProperty("transform",null),r.style.setProperty("left",null),r.style.setProperty("top",null);l=window.scrollY;let t=d.getBoundingClientRect(),i=t.width;Ed11y.visible(d.getRootNode().host)&&(0!==t.top||0!==t.left)||((y=Ed11y.firstVisibleParent(d.getRootNode().host))&&(t=y.getBoundingClientRect()),i=3*parseInt(Ed11y.options.baseFontSize));var y=t.left+document.body.scrollLeft,p=(a.style.setProperty("top",t.top+l+"px"),a.style.setProperty("left",t.left+"px"),c.offsetWidth),c=c.offsetHeight,u=l+window.innerHeight;let s="under";t.top+c+l+i+22>u&&(h>1.5*p&&0<h-(y+p+i+56)&&t.top+130<window.innerHeight?s="right":t.top>c+15?s="above":h>1.5*p&&0<y-p-50?s="left":t.bottom+c>document.documentElement.clientHeight-50&&window.innerHeight>i+c&&(s="above"));let n,o=0;"under"===s?(p+t.left+20>h||t.left-20-p/5<0?p-(i/2-1)>t.left?(n=i/2-1-t.left,r.style.setProperty("left",Math.max(t.left,15)-9+"px")):(r.style.setProperty("left",p-26+"px"),n=i/2+15-p):(n=i+8-p/5,r.style.setProperty("left",p/5-i/2-18+"px")),r.dataset.direction="under",o=i+16):"above"===s?(o=-1*(c+13+parseInt(Ed11y.theme.outlineWidth)),r.style.setProperty("top",c),p+t.left+20>h||t.left-20-p/5<0?p-(i/2-1)>t.left?(n=i/2-1-t.left,r.style.setProperty("left",t.left-9+"px")):(r.style.setProperty("left",p-26+"px"),n=i/2+15-p):(n=i+8-p/5,r.style.setProperty("left",p/5-i/2-18+"px")),r.dataset.direction="above",r.style.setProperty("top",c+15-parseInt(Ed11y.theme.outlineWidth)+"px")):(u<(y=t.top+l+c)&&(l=-1*(o=u-(y+90))+7,l=Math.min(l,c-25),r.style.setProperty("top",l+"px")),"left"===s?(n=0-(p+17),r.style.setProperty("left",p-10+"px"),r.dataset.direction="left"):(n=i+14,r.dataset.direction="right")),a.style.setProperty("transform",`translate(${n}px, ${o}px)`)}},Ed11y.togglePanel=function(){return Ed11y.doubleClickPrevent||!0!==Ed11y.running&&(!(Ed11y.running=!0)===Ed11y.panel.classList.contains("ed11y-active")?(Ed11y.onLoad=!1,Ed11y.showPanel=!0,0<Ed11y.dismissedCount&&0===Ed11y.warningCount&&0===Ed11y.errorCount?(Ed11y.options.showDismissed=!1,Ed11y.toggleShowDismissals()):Ed11y.checkAll(),Ed11y.options.userPrefersShut=!1,localStorage.setItem("editoria11yShow","1")):(Ed11y.panelToggleTitle.textContent=0<Ed11y.totalCount?Ed11y.M.buttonShowAlerts:Ed11y.M.buttonShowNoAlert,Ed11y.reset(),Ed11y.options.userPrefersShut=!0,localStorage.setItem("editoria11yShow","0"))),Ed11y.doubleClickPrevent=!0,window.setTimeout(function(){Ed11y.doubleClickPrevent=!1},200),!1},Ed11y.alignAlts=function(){Ed11y.findElements("altMark","ed11y-element-alt"),Ed11y.elements.altMark?.forEach(e=>{var t=e.dataset.ed11yImg;e.style.setProperty("transform",null),e.style.setProperty("height",null),e.style.setProperty("width",null);let i=Ed11y.imageAlts[t][0];"IMG"!==i.tagName&&(i=i.querySelector("img"));var t=e.getBoundingClientRect(),t=i.getBoundingClientRect().left-t.left,s="auto"===(s=getComputedStyle(i).height)?i.offsetHeight:Math.max(i.offsetHeight,parseInt(s));e.style.setProperty("transform",`translate(${t}px, 0px)`),e.style.setProperty("height",s+"px"),e.style.setProperty("width",i.offsetWidth+"px")})};let d=!1,a=(Ed11y.visualize=function(){if(d)d=!1,Ed11y.panel.querySelector("#ed11y-visualize").setAttribute("aria-pressed","false"),Ed11y.panel.querySelector("#ed11y-visualizers").setAttribute("hidden","true"),Ed11y.findElements("reset","ed11y-element-heading-label, ed11y-element-alt"),Ed11y.elements.reset?.forEach(e=>{e.remove()});else{d=!0,Ed11y.panel.querySelector("#ed11y-visualize").setAttribute("aria-pressed","true"),Ed11y.panel.querySelector("#ed11y-visualizers").removeAttribute("hidden");{let n=Ed11y.panel.querySelector("#ed11y-alt-list");Ed11y.imageAlts.length?(n.innerHTML="",Ed11y.imageAlts.forEach((e,t)=>{Ed11y.options.inlineAlerts&&((i=document.createElement("ed11y-element-alt")).classList.add("ed11y-element"),i.dataset.ed11yImg=t.toString(),e[0].insertAdjacentElement("beforebegin",i));var t=document.createElement("span"),i=(t.textContent=e[2],document.createElement("li")),s=(i.classList.add(e[3]),document.createElement("img"));s.setAttribute("src",e[1]),s.setAttribute("alt",""),i.append(s),i.append(t),n.append(i)}),Ed11y.alignAlts()):n.innerHTML="<p><em>No images found.</em></p>"}{let o=Ed11y.panel.querySelector("#ed11y-outline");Ed11y.headingOutline.length?(o.innerHTML="",Ed11y.headingOutline.forEach((e,t)=>{Ed11y.options.inlineAlerts&&((i=document.createElement("ed11y-element-heading-label")).classList.add("ed11y-element","ed11y-element-heading"),i.dataset.ed11yHeadingOutline=t.toString(),i.setAttribute("id","ed11y-heading-"+t),i.setAttribute("tabindex","-1"),e[0].insertAdjacentElement("afterbegin",i));var i=e[1],s=10*i-10,n=document.createElement("li"),s=(n.classList.add("level"+i),n.style.setProperty("margin-left",s+"px"),document.createElement("a")),t=(s.setAttribute("href","#ed11y-heading-"+t),n.append(s),document.createElement("strong")),i=(t.textContent=`H${i}: `,s.append(t),document.createElement("span"));i.textContent=Ed11y.computeText(e[0]),s.append(i),e[2]&&(t=e[3]?"warning":"error",n.classList.add(t),(i=document.createElement("em")).classList.add("ed11y-small"),i.textContent=" "+e[2],s.append(i)),o.append(n)})):o.innerHTML="<p><em>No heading structure found.</em></p>"}}},Ed11y.buildJumpList=function(){Ed11y.jumpList=[],Ed11y.results.forEach((e,t)=>{let i=e.element.getBoundingClientRect().top;var s;i||(s=Ed11y.firstVisibleParent(e.element))&&(i=s.getBoundingClientRect().top),i+=window.scrollY,Ed11y.results[t].scrollableParent=o(e.element),Ed11y.results[t].scrollableParent&&(i*=1e-6),Ed11y.results[t].sortPos=i}),Ed11y.results.sort((e,t)=>t.sortPos-e.sortPos),Ed11y.results?.forEach(function(e,t){Ed11y.results[t].dismissalStatus&&!Ed11y.options.showDismissed||Ed11y.result(e,t)}),Ed11y.jumpList.forEach((e,t)=>{e.dataset.ed11yJumpPosition=""+t})},1);Ed11y.browserLag=0;const l=(t,i)=>{let s=null;return(...e)=>{window.clearTimeout(s),s=window.setTimeout(()=>{t.apply(null,e)},i+Ed11y.browserLag)}};Ed11y.activeRange=!1;let r=!(Ed11y.checkEditableIntersects=function(){document.querySelector("[contenteditable]:focus, [contenteditable] :focus")?Ed11y.activeRange?Ed11y.jumpList?.forEach(e=>{var t,i,s,n=e.shadowRoot.querySelector(".toggle");t=Ed11y.activeRange.getBoundingClientRect(),i=n.getBoundingClientRect(),s=0,t.left-s<=i.right&&i.left-s<=t.right&&t.top-s<=i.bottom&&i.top-s<=t.bottom?n.classList.contains("was-intersecting")||(e.classList.add("intersecting"),n.classList.add("intersecting")):(e.classList.remove("intersecting","was-intersecting"),n.classList.remove("intersecting","was-intersecting"))}):Ed11y.jumpList?.forEach(e=>{e.classList.remove("intersecting")}):Ed11y.jumpList?.forEach(e=>{e.classList.remove("intersecting")})});Ed11y.scrollPending=0,Ed11y.updateTipLocations=()=>{!r&&0<Ed11y.scrollPending&&!Ed11y.running&&Ed11y.jumpList&&Ed11y.open&&(r=!0,Ed11y.alignButtons(),Ed11y.openTip.tip&&(Ed11y.alignTip(Ed11y.openTip.button.shadowRoot.querySelector("button"),Ed11y.openTip.tip),Ed11y.options.inlineAlerts||Ed11y.editableHighlighter(Ed11y.openTip.button.dataset.ed11yResult,!0)),Ed11y.scrollPending--),r=!1,0<Ed11y.scrollPending&&requestAnimationFrame(()=>Ed11y.updateTipLocations())},Ed11y.intersectionObservers=function(){Ed11y.elements.editable?.forEach(e=>{e.addEventListener("scroll",function(){Ed11y.scrollPending=Ed11y.scrollPending<2?Ed11y.scrollPending+1:Ed11y.scrollPending,requestAnimationFrame(()=>Ed11y.updateTipLocations())})}),Ed11y.selectionChanged=l(()=>{!function(){var e,t=document.createRange();let i=getSelection()?.anchorNode;return i&&i.parentNode&&"function"==typeof i.parentNode.closest&&i.parentNode.matches("[contenteditable=true]")?Ed11y.activeRange=!1:(e=i?.parentNode&&i.parentNode.closest("p, td, th, li, h2, h3, h4, h5, h6"),i=e||i,t.setStartBefore(i),t.setEndAfter(i),"object"!=typeof t||"function"!=typeof t.getBoundingClientRect?!!Ed11y.activeRange&&!(Ed11y.activeRange=!1):(e=Ed11y.activeRange&&t.startContainer===Ed11y.activeRange.startContainer&&t.startOffset===Ed11y.activeRange.startOffset,Ed11y.activeRange=t,!e))}()||(Ed11y.updateTipLocations(),Ed11y.checkEditableIntersects())},100),document.addEventListener("selectionchange",function(){Ed11y.running||Ed11y.selectionChanged()})},Ed11y.recentlyAddedNodes=[],Ed11y.addedNodeReadyToCheck=function(e){var t;return 0===Ed11y.recentlyAddedNodes.length||!(-1<(t=Ed11y.recentlyAddedNodes.indexOf(e))&&(0===e.textContent.trim().length||Ed11y.activeRange&&e.contains(Ed11y.activeRange.startContainer)||(Ed11y.recentlyAddedNodes.splice(t,1),0)))},Ed11y.incrementalAlign=l(()=>{Ed11y.running||(Ed11y.scrollPending++,Ed11y.updateTipLocations())},10),Ed11y.incrementalCheck=l(()=>{var e;Ed11y.running?window.setTimeout(Ed11y.incrementalCheck,250):(Ed11y.running=!0,e=performance.now(),Ed11y.incremental=!0,Ed11y.checkAll(),e=performance.now()-e,a=10<e?10:(a+e)/2,Ed11y.browserLag=a<1?0:100*a+Ed11y.totalCount)},250);const y=function(e){if("function"!=typeof e.closest){if(e.host.matches(".editoria11y-observer"))return;e.host.classList.add("editoria11y-observer")}else{if(e.closest(".editoria11y-observer"))return;e.classList.add("editoria11y-observer")}new MutationObserver(e=>{for(const t of e)"childList"===t.type&&(n=!0,0<t.addedNodes.length)&&t.addedNodes.forEach(e=>{1===(e=e).nodeType&&(e=e.matches("table, h1, h2, h3, h4, h5, h6, blockquote")?e:e.querySelector("table, h1, h2, h3, h4, h5, h6, blockquote"))&&(Ed11y.recentlyAddedNodes.push(e),window.setTimeout(function(e){e=Ed11y.recentlyAddedNodes.indexOf(e);-1<e&&(Ed11y.recentlyAddedNodes.splice(e,1),Ed11y.incrementalCheck())},5e3,e))});Ed11y.incrementalAlign(),Ed11y.alignPending=!1,Ed11y.incrementalCheck()}).observe(e,{childList:!0,subtree:!0,characterData:!0}),document.addEventListener("readystatechange",()=>{window.setTimeout(function(){Ed11y.scrollPending++,Ed11y.updateTipLocations()},100)}),window.setTimeout(function(){Ed11y.scrollPending++,Ed11y.updateTipLocations()},1e3)};Ed11y.openTip={button:!1,tip:!1},Ed11y.lastOpenTip=-1,Ed11y.viaJump=!1,Ed11y.alertOnInvisibleTip=function(e,t){let i=100;0<Ed11y.options.hiddenHandlers.length&&t.closest(Ed11y.options.hiddenHandlers)&&(i=333,document.dispatchEvent(new CustomEvent("ed11yShowHidden",{detail:{result:e.getAttribute("data-ed11y-result")}})));var s=t.closest("details");s&&!s.open&&(s.open=!0,i=333),window.setTimeout((e,t)=>{Ed11y.message.textContent="";let i=!1,s;Ed11y.options.checkVisible&&!Ed11y.visible(t)?(i=Ed11y.firstVisibleParent(t),s=Ed11y.M.jumpedToInvisibleTip):t.closest('[aria-hidden="true"]')&&(i=(i=t.closest('[aria-hidden="true"]')).closest(':not([aria-hidden="true"])'),s=Ed11y.M.jumpedToAriaHiddenTip),i&&((Ed11y.openTip.tip?.shadowRoot.querySelector(".ed11y-tip-alert")).textContent=s);var n=800<window.innerHeight&&800<window.innerWidth?"center":"start",t=(Ed11y.options.inlineAlerts?(Ed11y.viaJump&&t.scrollIntoView({block:n,behavior:"instant"}),i&&i.classList.add("ed11y-hidden-highlight")):(Ed11y.viaJump&&t.scrollIntoView({block:n,behavior:"instant"}),Ed11y.editableHighlighter(e.dataset.ed11yResult,!0,i)),document.querySelector('ed11y-element-tip[data-ed11y-open="true"]'));t?t?.shadowRoot.querySelector(".title").focus():(e.setAttribute("data-ed11y-action","open"),window.setTimeout(()=>{document.querySelector('ed11y-element-tip[data-ed11y-open="true"]')?.shadowRoot.querySelector(".title").focus()},100)),Ed11y.viaJump=!1},i,e,t)},Ed11y.jumpTo=function(e=1){Ed11y.viaJump=!0;var t=Ed11y.jumpList.length-1;let i=Ed11y.lastOpenTip+e;i<0?(Ed11y.nextText=Ed11y.M.buttonFirstContent,i=t):(i>t&&(i=0),Ed11y.nextText=Ed11y.M.buttonNextContent),Ed11y.lastOpenTip=i,window.setTimeout(function(){Ed11y.panelJumpNext.querySelector(".ed11y-sr-only").textContent=Ed11y.nextText},250),Ed11y.resetClass(["ed11y-hidden-highlight"]),Ed11y.jumpList||Ed11y.buildJumpList();var e=Ed11y.jumpList[i],t=e.getAttribute("data-ed11y-result"),t=Ed11y.results[t].element,s=800<window.innerHeight&&800<window.innerWidth?"center":"start";(Ed11y.options.inlineAlerts?e:t).scrollIntoView({block:s,behavior:"instant"}),e.setAttribute("data-ed11y-action","open"),Ed11y.scrollPending++,Ed11y.updateTipLocations()},Ed11y.windowResize=function(){h=window.innerWidth,!0===Ed11y.panel?.classList.contains("ed11y-active")&&(Ed11y.alignAlts(),Ed11y.alignButtons()),Ed11y.openTip.button&&Ed11y.alignTip(Ed11y.openTip.button.shadowRoot.querySelector("button"),Ed11y.openTip.tip),Ed11y.alignPanel()},Ed11y.escapeWatch=function(e){27===e.keyCode&&(e.target.closest("ed11y-element-panel")&&"true"===Ed11y.panelToggle.getAttribute("aria-expanded")?(Ed11y.panelToggle.focus(),Ed11y.panelToggle.click()):e.target.hasAttribute("data-ed11y-open")&&Ed11y.openTip.button&&(Ed11y.toggledFrom.focus(),Ed11y.openTip.button.shadowRoot.querySelector("button").click()))},document.addEventListener("keyup",function(e){Ed11y.escapeWatch(e)}),Ed11y.getText=function(e){return e.textContent.replace(/[\n\r]+|\s{2,}/g," ").trim()},Ed11y.parents=function(e){var t=[];for(t.push(e);e&&e.parentElement&&"HTML"!==e.parentElement.tagName;)t.push(e.parentElement),e=e.parentElement;return t},Ed11y.computeAriaLabel=function(e,i=0){var t=e.getAttribute("aria-labelledby");if(!i&&t){i=t.split(/\s+/);if(0<i.length){let t="";return i.forEach(e=>{e=document.querySelector("#"+CSS.escape(e));t+=e?Ed11y.computeText(e,1):""}),t}}return e.getAttribute("aria-label")&&0<e.getAttribute("aria-label").trim().length?e.getAttribute("aria-label"):"noAria"},Ed11y.wrapPseudoContent=function(e,t){var i=[];return i[0]=window.getComputedStyle(e,":before").getPropertyValue("content"),i[1]=window.getComputedStyle(e,":after").getPropertyValue("content"),i[0]="none"===i[0]?"":i[0].replace(/^"(.*)"$/,"$1"),i[1]="none"===i[1]?"":i[1].replace(/^"(.*)"$/,"$1")," "+i[0]+t+i[1]},Ed11y.nextTreeBranch=function(t){for(let e=0;e<1e3;e++){if(t.nextSibling())return t.previousNode();if(!t.parentNode())return!1}return!1},Ed11y.computeText=function(e,t=0,i=!1){var s=Ed11y.computeAriaLabel(e,t);if("noAria"!==s)return s;let n="";if(!e.children.length)return!(n=Ed11y.wrapPseudoContent(e,e.textContent)).trim()&&e.hasAttribute("title")?e.getAttribute("title"):t?n:n.replace(/[\n\r]+|[\s]{2,}/g," ").trim();var o=document.createTreeWalker(e,NodeFilter.SHOW_ELEMENT|NodeFilter.SHOW_TEXT);let d=!1,a=!1,l=0;e:for(;o.nextNode();)if(l++,o.currentNode.nodeType===Node.TEXT_NODE)n+=" "+o.currentNode.nodeValue;else{if(i&&o.currentNode.matches(Ed11y.options.linkIgnoreSelector)){if(Ed11y.nextTreeBranch(o))continue;break}if(d&&!o.currentNode.closest("a")&&(a===n&&(n+=d),d=!1,a=!1),o.currentNode.hasAttribute("aria-hidden")&&!(t&&l<3)){if(Ed11y.nextTreeBranch(o))continue;break}var r=Ed11y.computeAriaLabel(o.currentNode,t);if("noAria"!==r){if(n+=" "+r,Ed11y.nextTreeBranch(o))continue;break}switch(o.currentNode.tagName){case"STYLE":case"NOSCRIPT":if(Ed11y.nextTreeBranch(o))continue;break e;case"IMG":o.currentNode.hasAttribute("alt")&&(n+=o.currentNode.getAttribute("alt"));continue;case"SVG":case"svg":if("image"===o.currentNode.getAttribute("role")&&o.currentNode.hasAttribute("alt")&&(n+=Ed11y.wrapPseudoContent(o.currentNode,o.currentNode.getAttribute("alt")),!Ed11y.nextTreeBranch(o)))break e;continue;case"A":a=o.currentNode.hasAttribute("title")?(d=o.currentNode.getAttribute("title"),n):d=!1,n+=Ed11y.wrapPseudoContent(o.currentNode,"");break;default:n+=Ed11y.wrapPseudoContent(o.currentNode,"")}}return d&&!a&&(n+=" "+d),!n.trim()&&e.hasAttribute("title")?e.getAttribute("title"):t?n:n.replace(/[\n\r]+|[\s]{2,}/g," ").trim()},Ed11y.resetClass=function(e){e?.forEach(e=>{let t=e;Ed11y.findElements("reset","."+t),Ed11y.elements.reset?.forEach(e=>{e.classList.remove(t)})})},Ed11y.keyboardClick=function(e){switch(e.preventDefault(),e.keyCode){case 13:case 32:e.target.click()}},Ed11y.siblings=function(t){return null===t.parentNode?[]:Array.prototype.filter.call(t.parentNode.children,function(e){return e!==t})},Ed11y.nextUntil=function(e,t){let i=e.nextElementSibling;if(i){if(i.matches(t))return i;i=Ed11y.nextUntil(i,t)}return i},Ed11y.visibleElement=function(e){var t;if(e)return t=window.getComputedStyle(e),e.classList.contains("ed11y-ring-red")||e.classList.contains("ed11y-ring-yellow")?!("none"===t.getPropertyValue("display")||"hidden"===t.getPropertyValue("visibility")||"0"===t.getPropertyValue("opacity")||e.hasAttribute("hidden")):!("none"===t.getPropertyValue("display")||"hidden"===t.getPropertyValue("visibility")||"0"===t.getPropertyValue("opacity")||e.hasAttribute("hidden")||"hidden"===t.getPropertyValue("overflow")&&(0===e.offsetWidth||0===e.offsetHeight))},Ed11y.visible=function(e){return!!Ed11y.visibleElement(e)&&Ed11y.parents(e).every(e=>Ed11y.visibleElement(e))},Ed11y.firstVisibleParent=function(e){let t=e.parentElement;return!!t&&(Ed11y.visibleElement(t)?t:t=Ed11y.firstVisibleParent(t))},Ed11y.hiddenElementCheck=function(e){var t=window.getComputedStyle(e);return!("none"===t.getPropertyValue("display")||"hidden"===t.getPropertyValue("visibility")||e.hasAttribute("aria-hidden")||e.hasAttribute("hidden"))},Ed11y.elementNotHidden=function(e){return!!Ed11y.hiddenElementCheck(e)&&Ed11y.parents(e).every(e=>Ed11y.hiddenElementCheck(e))},Ed11y.parentLink=function(e){return e.closest("a[href]")},Ed11y.srcMatchesOptions=function(e,i){if(0<i.length&&0<e?.length){let t=i.split(/\s*[\s,]\s*/).map(e=>"[src*='"+e+"']").join(", ");return Array.from(e).filter(e=>e.matches(t))}return[]},Ed11y.sanitizeForHTML=function(e){let t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;","`":"&#x60;","=":"&#x3D;"};return String(e).replace(/[&<>"'`=/]/g,function(e){return t[e]})},CSS.supports("selector(:is(body))")?Ed11y.initialize():console.warn(Ed11y.M.consoleNotSupported)}}